<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>Administration</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
	</head>
	<body>
		<gui:page>
		<control:if roles="admin">
			<control:then>
				The following component maps have been reloaded:<br />
				<table border="1">
					<c:forEach items="${maps}" var="map">
						<tr>
							<td>${map.key}</td>
							<td>
								<pre style="font-family:courier">${map.value}</pre>
							</td>
						</tr>
					</c:forEach>
				</table>
			</control:then>
			<control:else>
				<h1>You are not authorised to access this page</h1>
			</control:else>
		</control:if>
		</gui:page>
	</body>
</html>
	