<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Colony Information Sheet</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<script src="js/lookupList.js"></script><link type="text/css" href="css/thickbox.css" rel="stylesheet"><script src="js/jquery.js"></script><script src="js/thickbox.js"></script>
	</head>
	<body>
		<gui:page>
			<form:form commandName="form">
			<gui:pageHeader name="Add Colony Allele" />
				<gui:mig-box >
					<table class="migBoxInner" cellspacing="0px">
						<tr>	
							<td class="entryLabel" height="40px" width="120px">
								Modified Allele:
							</td>
							<td width="385px" valign="middle" align="left" onclick="openLookupList('lookup_allele.do','alleleId=modifiedAlleleId');">
								<div style="border: #B0B0B0 solid 1px; background-color: #ffffdd; height: 32px; cursor: pointer;">
									<gui:formPopup path="primaryName" cssStyle="position: relative; top: 10px; left: 0px; width: 135px; text-align: right; border-right: 0px; margin: 0px; padding: 0px; border: 0px;" noimage="true" onclick="" />
									<gui:formPopup path="officialNameSuperscript" cssStyle="position: relative; left: -2px; width: 240px; border-left: 0px; margin: 0px; padding: 0px; border: 0px;" onclick="" noimage="true" />
								</div>
							</td>
							<td align="left">
								<img src="images/lookup.gif" onclick="openLookupList('lookup_allele.do','alleleId=modifiedAlleleId');" style="cursor: pointer;" />
								<form:hidden path="modifiedAlleleId" />
								<form:errors path="modifiedAlleleId" cssClass="formError" />
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<div class="submitButtons">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" onclick="style='cursor:wait';return true;" />
					<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
					<input type="button" name="_cancel" value="Cancel" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" onclick="document.location='view_one_colony_info_for_edit.do?id=${form.colonyAllele.colonyId}'" />
				</div>
			
			</form:form>
		</gui:page>
	</body>
</html>	
	
