<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Add Colony Coat Colour</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
	</head>
	<body>
		<gui:page>
			<form:form commandName="form">
			<gui:pageHeader name="Add Colony Coat Colour" />
				<gui:mig-box >
					<table class="migBoxInner">
						<tr>
							<td class="entryLabel" width="150px">
								Expected Coat Colour:
							</td>
							<td class="entryData" width="200px">
								<form:select path="colonyCoatColour.coatColourDictId">
									<option value="">&nbsp;</option>
									<form:options items="${colours}" itemValue="id" itemLabel="name" /> 
								</form:select>
							</td>
							<td align="left">
								<form:errors path="colonyCoatColour.coatColourDictId" cssClass="formError" />
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<div class="submitButtons">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" onclick="style='cursor:wait';return true;" />
					<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
					<input type="button" name="_cancel" value="Cancel" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" onclick="document.location='view_one_colony_info_for_edit.do?id=${form.colonyCoatColour.colonyId}'" />
				</div>
			</form:form>
		</gui:page>
	</body>
</html>	
	
