<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Colony Information Sheet</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
	</head>
	<body>
		<gui:page>
			<form:form commandName="form">
				<gui:pageHeader name="Add Colony Cross" />
				<gui:mig-box >
					<table class="migBoxInner">
						<tr>
							<td class="entryLabel" width="150px">
								Phenotype Text:
							</td>
							<td class="entryData" width="500px">
								<form:input path="colonyCross.phenotypeText" size="80"/>
							</td>
							<td align="left">
								<form:errors path="colonyCross.phenotypeText" cssClass="formError"/>
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Genotype Text:
							</td>
							<td class="entryData">
								<form:input path="colonyCross.genotypeText" size="80"/>
							</td>
							<td align="left">
								<form:errors path="colonyCross.genotypeText" cssClass="formError"/>
							</td>
						</tr>
						<tr>
							<td class="entryLabel">
								Is Lethal:
							</td>
							<td class="entryData">
								<form:select path="colonyCross.lethal">
									<option value="">&nbsp;</option>
									<form:options items="${yesNo}"/>
								</form:select>
							</td>
							<td align="left">
								<form:errors path="colonyCross.lethal" cssClass="formError"/>
							</td>
						</tr>
					</table>
				</gui:mig-box>
	
				<div class="submitButtons">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" onclick="style='cursor:wait';return true;" />
					<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
					<input type="button" name="_cancel" value="Cancel" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" onclick="document.location='view_one_colony_info_for_edit.do?id=${form.colonyCross.colonyId}'" />
				</div>
			</form:form>
		</gui:page>
	</body>
</html>	
	
