<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Colony Information Sheet</title>
		<meta http-equiv="Content-Typ content="text/html; charset=iso-8859-1" />
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<script src="js/lookupList.js"></script><link type="text/css" href="css/thickbox.css" rel="stylesheet"><script src="js/jquery.js"></script><script src="js/thickbox.js"></script>
	</head>
	<body>
		<gui:page>
			<form:form commandName="form" enctype="multipart/form-data">
				<gui:pageHeader name="Add Colony File" />
				<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
				<br />			
				<gui:mig-box >
					<table class="migBoxInner">
						<c:choose>
							<c:when test="${empty form.binaryFile.id}">
								<tr>	
									<td class="entryLabel" width="120px">
										File To Upload <span class="formError">*</span>:
									</td>
									<td class="entryData">
										<input type="file" name="uploadFile" size="60" />									
									</td>
								</tr>
							</c:when>
							<c:otherwise>
								<tr>	
									<td class="entryLabel" width="120px">
										File Name <span class="formError">*</span>:
									</td>
									<td class="entryData">
										<form:input path="binaryFile.fileName" size="75" />									
									</td>
								</tr>
							</c:otherwise>
						</c:choose>
						<tr>	
							<td class="entryLabel" width="120px">
								File Description <span class="formError">*</span>:
							</td>
							<td class="entryData">
								<form:input path="binaryFile.fileDescription" size="75" />									
							</td>
						</tr>
					</table>
				</gui:mig-box>
	
				<div class="submitButtons">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" onclick="style='cursor:wait';return true;" />
					<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
					<input type="button" name="_cancel" value="Cancel" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" onclick="document.location='view_one_colony_info_for_edit.do?id=${form.binaryFile.foreignKeyId}'" />
				</div>
			</form:form>
		</gui:page>
	</body>
</html>	
	
