<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Colony Information Sheet</title>
		<meta http-equiv="Content-Typ content="text/html; charset=iso-8859-1" />
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<script src="js/lookupList.js"></script><link type="text/css" href="css/thickbox.css" rel="stylesheet"><script src="js/jquery.js"></script><script src="js/thickbox.js"></script>
	</head>
	<body>
		<gui:page>
			<form:form commandName="form">
				<gui:pageHeader name="Add Colony Room" />
				<gui:mig-box >
					<table class="migBoxInner">
						<tr>	
							<td class="entryLabel" width="120px">
								Room:
							</td>
							<td class="entryData" width="180px">
								<form:select path="colonyRoom.roomId">
									<option value="">&nbsp;</option>
									<form:options items="${rooms}" itemValue="id" itemLabel="roomNumber" /> 
								</form:select>
							</td>
							<td align="left">
								<form:errors path="colonyRoom.roomId" cssClass="formError" />
							</td>
						</tr>
					</table>
				</gui:mig-box>
				
				<div class="submitButtons">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" onclick="style='cursor:wait';return true;" />
					<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
					<input type="button" name="_cancel" value="Cancel" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" onclick="document.location='view_one_colony_info_for_edit.do?id=${form.colonyRoom.colonyId}'" />
				</div>
				
			</form:form>
		</gui:page>
	</body>
</html>	
	
