<%@taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Cancel the Selected Sample</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>

	<body>
		<gui:page>
			<gui:pageHeader name="Cancel the Selected Sample" />
			<form:form commandName="form" action="cancel_sample.do">
			<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
			<br />
			<gui:mig-box>
				<table border=0 cellspacing=10 class="migBoxInner">
					<tr>
						<td class="entryLabelT" width='140px'>
							<b>Reason</b>
							<span class="formError">*</span>
						</td>
						<td class="entryData">
							<form:textarea cssStyle="text-align:left;border:1px solid #777;width:70%" cols="100" rows="5" path="cancelReason"/>
						</td>
						<td width='140px'>
							&nbsp;
						</td>
					</tr>	
				</table>
			</gui:mig-box>
			
			<div class="submitButtons">
				<input type="submit" name="_finish" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" value="Submit" style="width: 100px;"/>&nbsp;&nbsp;
				<input type="button" name="_cancel" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" value="Cancel" onclick="history.back()" style="width: 100px;" />
			</div>
			
			</form:form>
		</gui:page>
	</body>
</html>		