<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>Custom Query Error</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
	</head>
	<body>
		<gui:page>
			<gui:pageHeader>
				Report Error!
			</gui:pageHeader>

			<gui:mig-box label="Query Failed">
				<table class="migBoxInner">
					<tr>
						<td>
							An Error has occurred.<br>
							The most likely explanation is that the data in a filter is inconsistent with the type expected.<br>
							(e.g. text found where number expected)
						</td>
					</tr>
					<tr>
						<td>
							<b>The error message is:</b><br>
							<pre>${error}</pre>
						</td>
					</tr>
					<tr>
						<td>
							<h2>Click <i><a href="#" onclick="history.back()">HERE</a></i> to return to previous page.</h2>
						</td>
					</tr>
				</table>
			</gui:mig-box>

		</gui:page>
	</body>
</html>