<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Dmetrix Scan Sweeper</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<form:form commandName="form" action="sweep_scans.do" method="POST">
				<gui:pageHeader>
								
					Dmetrix Scan Sweeper
			
								
				</gui:pageHeader>
				<gui:mig-box>
					<table class="migBoxInner" style="height: 94%;">
						<tr>
							<td align=center style="color: #555; text-align: center; vertical-align: top; padding: 20px; width: 45%; border-right: 2px solid #ccc;">

								<div style="font-weight: bold; font-size: 18px">
									Currently Unprocessed Dmetrix Scans
									<div style="color: #074987; padding: 4px; font-size: 16px;">
										Sweep Directory: ${sweepDir}${record.fileSeparator}
									</div>
								</div>
								<br />
								<c:choose>

									<c:when test="${!empty sweepFiles}">

										<c:forEach items="${sweepFiles}" var="record">

											<div style="color: #000; font-size: 15px; border: dotted #ccc 1px; padding: 8px; text-align: left; vertical-align: middle;">
												${record}
											</div>

										</c:forEach>

									</c:when>

									<c:otherwise>
										<div style='font-size:15px;'>
											None.
										</div>
									</c:otherwise>

								</c:choose>
							</td>

							<td style="padding-top: 18px; padding-bottom: 18px; width: 10%; text-align: center; vertical-align: top; color: #555;">

								<c:choose>

									<c:when test="${!empty sweepFiles && user.userName eq 'na5'}">



										<button style="width: 123px; height: 112px;" onclick='if(confirm("Greeting na5. OK, I will sweep these scans, but please promise to check with Jeanne first to make sure she has renamed her unbarcoded files, or she will get mad and hunt you down with a massive pitchfork.")) document.forms[0].submit();'>
											<img src="images/na5SweepButton.jpg" />
										</button>



										<div style="color: #074987; font-size: 14px; padding: 4px; text-align: center">

											Extract and sweep metadata &amp; thumbnails into the Mouse Genetics Central database.

										</div>
										<!-- 
										<div align=center>
											<br />
											
											<form:checkbox path="cleanUpAfterSweep" />
											Clean up after sweep.
											
										</div>
										-->

									</c:when>

									<c:when test="${!empty sweepFiles && user.userName ne 'na5'}">
										<button style="width: 123px; height: 112px;" onclick="document.forms[0].submit();">

											<img src="images/sweepButton.jpg" />
										</button>

										<div style="color: #074987; font-size: 14px; padding: 4px; text-align: center">

											Extract and sweep metadata &amp; thumbnails into the Mouse Genetics Central database.

										</div>

									</c:when>

									<c:otherwise>
										<div style="text-align: center; color: #990000; font-size: 18px;">
											No slides available to process.
										</div>
									</c:otherwise>

								</c:choose>


							</td>

							<td style="text-align: center; vertical-align: top; padding: 20px; border-left: 2px solid #ccc;">
								<div style="text-align: center; font-weight: bold; font-size: 18px; color: #555;">
									Scans Awaiting Region Selection
									<div style="color: #074987; padding: 4px; padding-bottom:0px; font-size: 16px;">
										Destination Directory: ${finalDir}${record.fileSeparator}
									</div>
								</div>
								<br />


								<c:choose>
									<c:when test="${!empty awaitingCropSelection}">

									<gui:link-button text="Select Scan Regions" href="show_crop_job_page.do"/>	
								
								<div style="font-size:4px;">&nbsp;</div>			
								
										<c:forEach items="${awaitingCropSelection}" var="record">

											<div style="color: #000; font-size: 15px; border: dotted #ccc 1px; padding: 8px; text-align: left; vertical-align: middle;">
												<span style="color: #000;">${record.filePath}&nbsp;
												<fmt:formatDate var="time" value="${record.sweepDate}" pattern="MM/dd/yyyy HH:mm:ss" />
													swept ${time}
												</span>

												<c:if test="${empty record.orphan}">
													<span style="font-size: 11px; color: red;">*WARNING: Orphan Scan! No Parent Slide Found in System.</span>
												</c:if>

											</div>

										</c:forEach>

									</c:when>

									<c:otherwise>
										<div style="font-size: 15px;">
											None.
										</div>
									</c:otherwise>
								</c:choose>
							</td>
						</tr>
					</table>
				</gui:mig-box>
			</form:form>
		</gui:page>
	</body>
</html>
