<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>Add Procedure to Protocol Mapping</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<script type="text/javascript">
		function refreshProtocolList() {
			var f = document.forms[0];
			f.changeForm.value="refreshProtocolList";
			f.submit();
		}
		</script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Add Procedure to Protocol Mapping" showBackUrl="true" />
			
			<form:form commandName="form" action="add_procedure_mapping.do" method="post">	
				<input type="hidden" name="changeForm" />	

				<table width="100%" cellspacing="5">
					<tr>
						<td>
							<gui:error-list title="Form Problems:" titleFont="16px" 
							formErrorClass="formError" borderClass="borderTable" commandName="form" />
						</td>
					</tr>
				</table>			
						
				<gui:mig-box label="Mapping Details">
					<table class="migBoxInner">
						<tbody class="tbody">
							<tr>
								<td class="entryLabel" width="25%">
									Procedure:
								</td>
								<td class="entryData">
									${form.procedure.name}
								</td>
							</tr>
							<tr>
								<td class="entryLabel" width="25%">
									Project Licence:<span class="formError">*</span>
								</td>
								<td class="entryData">
									<form:select path="protocol.projectLicence.id" onchange="refreshProtocolList()">
										<option value="">&nbsp;</option>
										<c:if test="${!empty projectLicences}">
											<form:options items="${projectLicences}" itemValue="id" itemLabel="displayText"/> 
										</c:if>
									</form:select>
								</td>
							</tr>
							<tr>
								<td class="entryLabel" width="25%">
									19b Protocol:<span class="formError">*</span>
								</td>
								<td class="entryData">
									<form:select path="protocol.id">
										<option value="">&nbsp;</option>
										<c:if test="${!empty protocols}">
											<form:options items="${protocols}" itemValue="id" itemLabel="displayText"/> 
										</c:if>										
									</form:select>
								</td>
							</tr>
						</tbody>
					</table>
				</gui:mig-box>						

				<div class="submitButtons">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
					<input type="button" value="Cancel" onclick="document.location='view_procedure_mappings.do'" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
				</div>	
			</form:form>	
		</gui:page>
	</body>
</html>