<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>Edit 19b protocol</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
	</head>
	<body>
		<gui:page>
			<gui:pageHeader>
				<c:choose>
					<c:when test="${empty form.protocol.id}">
						Add New
					</c:when>
					<c:otherwise>
						Edit
					</c:otherwise>
				</c:choose>
				19b Protocol
			</gui:pageHeader>
			
			<gui:mig-box label="Project Licence">
				<table class="migBoxInner">
					<tbody class="tbody">	
						<tr>
							<td class="pageHeader">
								${projectLicence.licenceNumber}
								${projectLicence.title}
							</td>
						</tr>
					</tbody>
				</table>
			</gui:mig-box>	
			<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
			
			<br />
			<form:form commandName="form" action="edit_protocol.do">
				<gui:mig-box label="19b Details">
					<table class="migBoxInner">
						<tbody class="tbody">	
							<tr>
								<td class="entryLabel" width="25%">
									Protocol Code <span class="formError">*</span>:
								</td>
								<td class="entryData">
									<form:input path="protocol.protocolCode" size="5"/>
								</td>
							</tr>	
							<tr>
								<td class="entryLabel" width="25%">
									Protocol Title <span class="formError">*</span>:
								</td>
								<td class="entryData">
									<form:input path="protocol.title" size="80" />
								</td>
							</tr>	
							<tr>
								<td class="entryLabel" width="25%">
									Harmful Mutants? 
								</td>
								<td class="entryData">
									<form:select path="protocol.harmfulMutant">
										<form:options items="${yesNo}"/>
									</form:select>
								</td>
							</tr>
						</tbody>
					</table>
				</gui:mig-box>	
				
				<div class="submitButtons">
					<input type="submit" value="Submit" />
					<input type="reset" value="Reset" />
					<input type="button" value="Cancel" onclick="document.location='view_one_project_licence.do?id=${form.projectLicenceId}'" />
				</div>				
			</form:form>			
		</gui:page>
	</body>
</html>