 <%@taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Cancel/Fail Scheduled Microinjection</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Cancel/Fail Scheduled Microinjection" />
			<form:form commandName="form" action="deactivate_scheduled_micro_injection.do">
			<gui:error-list title="Incomplete Form:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />
			<br />
			<gui:mig-box>
				<table border=0 cellspacing=10 class="migBoxInner">
					<tr>
						<td class="entryLabelT" width="120px">
							&nbsp;
						</td>
						<td align=left style="font-size: 15px;">
							<b>
							<control:accessControl roles="admin,mgp-admin">
							Cancel? 
							<form:radiobutton  path="cancellation" value="true"/>&nbsp;&nbsp;&nbsp;
							</control:accessControl>
							Fail? 
							<form:radiobutton path="cancellation" value="false"/>
							</b>
						</td>	
						<td class="entryLabelT">
						</td>				
					</tr>
					<tr>
						<td class="entryLabelT">
							<b>Reason</b>
						</td>
						<td class="entryData">
							<form:textarea cssStyle="text-align: left; border: 1px solid #777; width: 70%" cols="100" rows="5" path="cancelOrFailReasons"/>
						</td>
						<td width="140px">
							&nbsp;
						</td>
					</tr>	
				</table>
			</gui:mig-box>
			<div class="submitButtons">
				<input type="submit" name="_finish" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" />
				<input type="button" name="_cancel" value="Cancel" onclick="history.back()" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" />
			</div>
			</form:form>
		</gui:page>
	</body>
</html>		