<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Microinjection Request Status Change</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script type="text/javascript">
			function setHeaderColour() {
				document.getElementById('miRequestHeader').style.background = '#f5f5dc';//#e7edf3
			}
		</script>
	</head>
	<body onload="setHeaderColour()">
		<gui:page>
			<gui:pageHeader name="Microinjection Request #${miRequest.id} - <span style='font-size:16px;color:#656565;font-weight:bold;text-transform:uppercase;'>${miRequest.externalStatusDict.name}</span> " />
			<gui:mig-box height="120px">
				<table style="background:#fff; vertical-align: middle; width: 100%; padding: 10px 6px 10px 6px; height: 100%; text-align: center;">
					<tr>
						<td style="color: #990000; fonr-weight: bold; font-size: 18px;">
							This MI Request status has been changed 
							to <span style="font-size: 16px; color: #656565; font-weight: bold; text-transform: uppercase;">
							 ${miRequest.externalStatusDict.name}</span>.
							<br />
							<gui:link-button style="width: 160px; margin-top: 10px;" 
								onclick="document.location='view_one_mi_request.do?id=${miRequest.id}';" 
								text="Return to MI Request #${miRequest.id}" mouseOverColor="yellow"  />	
						</td>
					</tr>
				</table>
			</gui:mig-box>
		</gui:page>
	</body>
</html>
