<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Edit Required Embryo Age</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Edit Stud Matings" />

			<form:form commandName="form" method="post">

				<table width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td colspan="2">
							<gui:error-list commandName="form" />
						</td>
					</tr>
					<tr>
						<td width="50%">
							<gui:mig-box label="Updating ${fn:length(form.cages)} cages">
								<table class="migBoxInner">
									<tr>
										<td class="viewLabelSmall" width="50%">
											Update Required Embryo Age
										</td>
										<td>
											<form:select path="defaultValues.timedEmbryoAge">
												<option value="">&nbsp;</option>
												<form:options items="${embryoAgeOptions}" itemValue="name" itemLabel="description"/>

											</form:select>
										</td>
									</tr>
								</table>
							</gui:mig-box>
						</td>
						<td>
							&nbsp;
						</td>
					</tr>
					<tr>
						<td>
							<div class="submitButtonsMouseTracking">
								<input type="submit" value="Submit" />
								<input type="button" value="Reset" onclick="document.location='edit_stud_breedings.do'" />
							</div>
						</td>
						<td>
							&nbsp;
						</td>
					</tr>
				</table>
			</form:form>
		</gui:page>
	</body>
</html>