<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>View Cages</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/printLabels.js"></script>
		<script type="text/javascript" src="js/delete.js"></script>
	</head>
	<body>
		<gui:page>
			<gui:pageHeader>
				<c:out value="Viewing ${fn:length(cages)} Cages" />
				&nbsp;
				<gui:link-button text="Print All Cage Cards" onclick="printLabels('PRINT_CAGE','${cageIds}')" />
			</gui:pageHeader>
			<table width="99%" align="center">
				<c:forEach items="${cages}" var="cage">
					<tr valign="top">
						<td width="70%">
							<gui:mig-box-label>
								<c:out value="${cage.cageType.description} ${cage.barcode}"/>
							</gui:mig-box-label>
							<gui:cage cage="${cage}"></gui:cage>
						</td>
						<td>
							<gui:cageTasks cage="${cage}"></gui:cageTasks>
						</td>
					</tr>
				</c:forEach>
			</table>
		</gui:page>
	</body>
</html>
