<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Edit Room</title>
		<link type="text/css" href="css/mouseTracking.css" rel="stylesheet">
	</head>
	<body onkeydown="if(event.keyCode == 13){return false;}">

		<gui:pageHeader>
			<c:choose>
				<c:when test="${empty form.room.id}">
		Add New
		</c:when>
				<c:otherwise>
		Edit Existing
		</c:otherwise>
			</c:choose>
		Room
		</gui:pageHeader>
		<br />
		<form:form commandName="form" method="post" action="edit_room.do">
			<gui:error-list title="Form is incomplete:" titleFont="16px" formErrorClass="formError" borderClass="borderTable" commandName="form" />

			<table width="100%" align="center" border="0">
				<tr valign="top">
					<td width="33%">
						<span class="inverseTab">Room Details</span>
						<table class="borderTable" cellpadding=5>
							<tr>
								<td class="thead" align="right" width="15%">
									Room Name
									<span class="formError">*</span>
								</td>
								<td>
									<form:input path="room.roomNumber" />
								</td>
							</tr>
							<tr>
								<td class="thead" align="right">
									Building Name
									<span class="formError">*</span>
								</td>
								<td>
									<form:input path="room.buildingName" />
								</td>
							</tr>
							<tr>
								<td class="thead" align="right">
									Corridor
									<span class="formError">*</span>
								</td>
								<td>
									<form:input path="room.corridor" />
								</td>
							</tr>
							<tr>
								<td class="thead" align="right">
									Description
								</td>
								<td>
									<form:input path="room.description" />
								</td>
							</tr>
						</table>
					</td>
				</tr>


				<tr>
					<td colspan="3" align="center">
						<input type="submit" value="Submit" />
						<input type="reset" value="Reset" onclick="document.location='edit_room.do?<c:if test="${!empty form.room.id}">id=${form.room.id}</c:if>'" />
						<input type="button" value="Cancel" onclick="document.location='search_cage_rack.do'" />
					</td>
				</tr>
			</table>
		</form:form>


	</body>
</html>
