<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<script type="text/javascript">
		function alert_cull_mice() {
			if(confirm("Are you sure you want to cull all mice on this list?\n" + 
							"Press OK to cull mice or CANCEL to continue with no changes.")
							) {
						return true;
					}
			return false;
		}
	</script>
	<body onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<gui:pageHeader name="View Cull List" />
			<form:form commandName="form" method="post" action="view_cull_mouse.do">
			
			<c:if test="${empty form.mice}">
				<table class="borderTable">
					<tr>
						<td class="thead">
							No Records Found.
						</td>
					</tr>
				</table>
			</c:if>
			
			<c:if test="${!empty form.mice}">
				<gui:mig-box label="Room: ${form.roomNumber }">
					<table class="migBoxInner">
						<thead class="listNonPaginatedHeader">
							<tr>
								<th>
									Name
								</th>
								<th>
									Barcode
								</th>
								<th>
									Cage
								</th>
								<th>
									Rack
								</th>
								<th>
									Strain
								</th>
								<th>
									Current Owner
								</th>
								<th>
									Cull Reason
								</th>
							</tr>
						</thead>
						<tbody class="listNonPaginated">
						<c:forEach items="${form.mice}" var="mouse">
							<gui:toggle-row-class />
							<tr class="${rowClass}">
								<td>
									${mouse.name }
								</td>
								<td>
									<a href="view_one_mouse.do?id=${mouse.id}"> 
										${mouse.barcode}
									</a>
								</td>
								<td>
									<a href="view_one_cage.do?id=${mouse.cageId }">
										${mouse.cageName } </a>
								</td>
								<td>
									<a href="view_one_rack.do?id=${mouse.rackId }">
										${mouse.rackName } </a>
								</td>
								<td>
									${mouse.strain }
								</td>
								<td>
									${mouse.currentOwner }
								</td>
								<td>
									${mouse.causeOfDeath}
								</td>
							</tr>
						</c:forEach>
						</tbody>
					</table>
				</gui:mig-box>

				<center>
					<input type="submit" value="Cull All Mice" onclick="return alert_cull_mice()" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" >
				</center>

			</c:if>	
			</form:form>
		</gui:page>
	</body>
</html>
