<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<meta http-equiv="Content-Type"
			content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/validateBarcode.js"></script>
		<script type="text/javascript">
			function submitIfValid() {
				if(document.getElementById('cageOrRackId').value != "") {
					document.forms[0].submit();
				}
			}

			function initForm() {
				document.getElementById("barcode").focus();
			}
		</script>
	</head>
	<body onload="initForm()"
		onkeydown="if(event.keyCode == 13){return false;}">
		<gui:page>
			<c:set var="pageHeaderName"
				value="${user.firstName} ${user.lastName}" />
			<c:choose>
				<c:when test="${empty user.personalLicence}">
					<c:set var="pil" value="none" />
				</c:when>
				<c:otherwise>
					<c:set var="pil" value="${user.personalLicence.licenceNumber}" />
				</c:otherwise>
			</c:choose>

			<gui:pageHeader>
			Home Page for ${pageHeaderName}, PIL:<c:out value="${pil}"
					default="none" />
			</gui:pageHeader>

			<table>
				<tr valign="top">
					<td width="20%">
						<form:form commandName="form" method="post"
							action="search_cage_rack.do">

							<gui:filterBox title="Scan cage or rack barcode">
								<table>
									<tbody>
										<tr>
											<td>
												<form:input path="barcode" cssClass="barcodeField"
													onblur="validateBarcode(this, 'cageOrRackId','cage or rack','barcodeDescription','barcodeType');setTimeout('submitIfValid()',500);" />
												<form:errors path="barcode" cssClass="formError" />
												<form:hidden path="barcodeDescription" />
												<form:hidden path="cageOrRackId" />
												<form:hidden path="barcodeType" />
												<br />
												Alternatively, type mouse ID
												<br />
												and press 'Tab'
											</td>
										</tr>
									</tbody>
								</table>
							</gui:filterBox>
							<br />
						</form:form>
						<br />
						<a href="docs/Mouse Tracking User Guide.doc" target="_new">Click HERE for User Guide</a>
					</td>
					<td>
						<center>
							<img id="rsf" src="images/mouse_tracking/RSF_Map_15-08-2008.jpg"
								width="753" height="465" border="0" usemap="#map" />
						</center>

            <map name="map">
              <!-- #$-:Image map file created by GIMP Image Map plug-in -->
              <!-- #$-:GIMP Image Map plug-in by Maurits Rijk -->
              <!-- #$-:Please do not edit lines starting with "#$" -->
              <!-- #$VERSION:2.3 -->
              <!-- #$AUTHOR: -->
              <area shape="rect" coords="107,94,162,139" alt="Red 4" title="Red 4" href="view_one_room.do?id=35" />
              <area shape="rect" coords="108,140,163,184" alt="Red 5" title="Red 5" href="view_one_room.do?id=34" />
              <area shape="rect" coords="108,187,162,230" alt="Red 6" title="Red 6" href="view_one_room.do?id=33" />
              <area shape="rect" coords="108,233,163,276" alt="Red 7" title="Red 7" href="view_one_room.do?id=32" />
              <area shape="rect" coords="108,279,163,322" alt="Red 8" title="Red 8" href="view_one_room.do?id=31" />
              <area shape="rect" coords="181,139,235,184" alt="Red 3" title="Red 3" href="view_one_room.do?id=30" />
              <area shape="rect" coords="181,187,236,230" alt="Red 2" title="Red 2" href="view_one_room.do?id=29" />
              <area shape="rect" coords="181,233,236,276" alt="Red 1" title="Red 1" href="view_one_room.do?id=28" />
              <area shape="rect" coords="181,323,235,345" alt="Red Proc R1-76" title="Red Proc R1-76" href="view_one_room.do?id=27" />
              <area shape="rect" coords="237,140,292,184" alt="Green 5" title="Green 5" href="view_one_room.do?id=25" />
              <area shape="rect" coords="237,186,292,230" alt="Green 6" title="Green 6" href="view_one_room.do?id=24" />
              <area shape="rect" coords="237,232,292,277" alt="Green 7" title="Green 7" href="view_one_room.do?id=23" />
              <area shape="rect" coords="237,278,292,322" alt="Green 8" title="Green 8" href="view_one_room.do?id=22" />
              <area shape="rect" coords="237,324,292,345" alt="Green Proc R1-69" title="Green Proc R1-69" href="view_one_room.do?id=21" />
              <area shape="rect" coords="310,139,365,185" alt="Green 4" title="Green 4" href="view_one_room.do?id=19" />
              <area shape="rect" coords="310,186,365,231" alt="Green 3" title="Green 3" href="view_one_room.do?id=18" />
              <area shape="rect" coords="310,233,365,277" alt="Green Proc R1-65" title="Green Proc R1-65" href="view_one_room.do?id=17" />
              <area shape="rect" coords="310,279,365,322" alt="Green 2" title="Green 2" href="view_one_room.do?id=16" />
              <area shape="rect" coords="310,324,365,369" alt="Green 1" title="Green 1" href="view_one_room.do?id=15" />
              <area shape="rect" coords="367,140,421,185" alt="Yellow 4" title="Yellow 4" href="view_one_room.do?id=11" />
              <area shape="rect" coords="366,187,421,231" alt="Yellow 5" title="Yellow 5" href="view_one_room.do?id=10" />
              <area shape="poly" coords="367,232,367,251,390,252,390,238,399,238,399,232,399,233,399,232" alt="Yellow Proc R1-59b" title="Yellow Proc R1-59b" href="view_one_room.do?id=56" />
              <area shape="poly" coords="391,239,392,252,402,251,402,259,421,259,421,233,400,233,401,240,400,240" alt="Yellow Proc R1-59a" title="Yellow Proc R1-59a" href="view_one_room.do?id=57" />
              <area shape="poly" coords="366,254,398,254,399,261,420,261,420,277,366,276" alt="Yellow Proc R1-58" title="Yellow Proc R1-58" href="view_one_room.do?id=8" />
              <area shape="rect" coords="366,278,421,322" alt="Yellow 6" title="Yellow 6" href="view_one_room.do?id=7" />
              <area shape="rect" coords="384,336,421,369" alt="Yellow Proc R1-56a" title="Yellow Proc R1-56a" href="view_one_room.do?id=52" />
              <area shape="rect" coords="367,337,383,369" alt="Yellow Proc R1-56b" title="Yellow Proc R1-56b" href="view_one_room.do?id=53" />
              <area shape="rect" coords="367,324,392,335" alt="Yellow Proc R1-56c" title="Yellow Proc R1-56c" href="view_one_room.do?id=54" />
              <area shape="rect" coords="394,323,422,335" alt="Yellow Proc R1-56d" title="Yellow Proc R1-56d" href="view_one_room.do?id=55" />
              <area shape="rect" coords="438,187,493,231" alt="Yellow 3" title="Yellow 3" href="view_one_room.do?id=5" />
              <area shape="rect" coords="438,232,493,277" alt="Yellow 2" title="Yellow 2" href="view_one_room.do?id=4" />
              <area shape="rect" coords="438,278,493,322" alt="Yellow 1" title="Yellow 1" href="view_one_room.do?id=3" />
              <area shape="rect" coords="438,324,493,345" alt="Yellow Proc R1-51" title="Yellow Proc R1-51" href="view_one_room.do?id=2" />
              <area shape="rect" coords="495,324,550,369" alt="Blue R1-42" title="Blue R1-42" href="view_one_room.do?id=40" />
              <area shape="rect" coords="495,278,550,322" alt="Blue R1-43" title="Blue R1-43" href="view_one_room.do?id=41" />
              <area shape="rect" coords="495,232,550,277" alt="Blue R1-45" title="Blue R1-45" href="view_one_room.do?id=42" />
              <area shape="rect" coords="495,209,550,231" alt="Blue R1-46" title="Blue R1-46" href="view_one_room.do?id=43" />
              <area shape="rect" coords="495,186,550,208" alt="Blue R1-47" title="Blue R1-47" href="view_one_room.do?id=44" />
              <area shape="rect" coords="506,164,550,185" alt="Containment R1-44" title="Containment R1-44"  nohref="nohref" />
              <area shape="rect" coords="439,164,504,185" alt="Containment R1-25" title="Containment R1-25" href="view_one_room.do?id=51" />
              <area shape="rect" coords="439,139,494,162" alt="Containment R1-26" title="Containment R1-26" href="view_one_room.do?id=13" />
              <area shape="rect" coords="496,139,539,162" alt="Containment R1-41"  title="Containment R1-41" nohref="nohref" />
              <area shape="rect" coords="515,51,550,73" alt="Quarantine R1-104" title="Quarantine R1-104" href="view_one_room.do?id=50" />
              <area shape="rect" coords="520,91,542,122" alt="Quarantine R1-102" title="Quarantine R1-102" href="view_one_room.do?id=49" />
              <area shape="rect" coords="489,52,514,73" alt="Quarantine R1-99" title="Quarantine R1-99" nohref="nohref" />
              <area shape="rect" coords="462,51,488,73" alt="Quarantine R1-97" title="Quarantine R1-97" nohref="nohref" />
              <area shape="rect" coords="439,51,461,89" alt="Necropsy R1-94" title="Necropsy R1-94" href="view_one_room.do?id=47" />
              <area shape="rect" coords="180,386,209,433" alt="Cryo Requests" target="_cryo" title="Cryo Requests" href="list_cryo_requests.do?bypassForm=true&amp;newQuery=true&amp;cryoRequest.statusDictId=&amp;paginated=true&amp;orderBy=ID&amp;orderDesc=true" />
              <area shape="rect" coords="209,417,308,454" alt="Scheduled Microinjection Requests" title="Scheduled Microinjection Requests" target="_mi" href="list_scheduled_micro_injections.do?bypassForm=true&amp;newQuery=true&amp;paginated=true&amp;filterStatusId=0&amp;orderBy=target_schedule_date&amp;nextTaskToCompleteId=&amp;endpointId=&amp;today=true&amp;targetScheduleDateTo=${today}&amp;targetScheduleDateFrom=${today}" />
            </map>



					</td>
				</tr>
			</table>
		</gui:page>
	</body>
</html>
