<?xml version="1.0" encoding="UTF-8"?>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ page contentType="text/xml" %>
<document>
  <id>${experiment.id}</id>
  <complete>${experiment.complete}</complete>
  <valid>${validRequest}</valid>
  <c:forEach items="${experiment.groupedObservations}" var="observations">
  	<c:set var="id" value="${observations[0].id}"/>
  	<c:set var="valid" value="${true}"/>

		<%--
      where we have series data, we will only show the first record in the interface
      when error reporting use id for the first record
    --%>
  	<c:forEach items="${observations}" var="o">
    	<c:if test="${!o.valid}">
				<c:set var="valid" value="${false}"/>
      </c:if>
    </c:forEach>

  	<observation id="${id}" valid="${valid}"/>
  </c:forEach>


  <procedure recorded="${!empty experiment.procedure}"/>
</document>