<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>Active Phenotyping SOPs</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="View SOPs" />
			<gui:mig-box label="Active SOPs">
				<ul>
					<c:forEach items="${sops}" var="sop">
						<c:if test="${sop.active}">
							<c:url value="view_one_sop.do" var="link">
								<c:param name="id" value="${sop.id}" />
							</c:url>
							<li>
								<a href="${link}" title="${sop.name}"> ${sop.name} </a>
							</li>
						</c:if>
					</c:forEach>
				</ul>
			</gui:mig-box>
			<gui:mig-box label="Inactive SOPs">
				<ul>
					<c:forEach items="${sops}" var="sop">
						<c:if test="${!sop.active}">
							<c:url value="view_one_sop.do" var="link">
								<c:param name="id" value="${sop.id}" />
							</c:url>
							<li>
								<a href="${link}" title="${sop.name}"> ${sop.name} </a>
							</li>
						</c:if>
					</c:forEach>
				</ul>
			</gui:mig-box>
		</gui:page>
	</body>
</html>
