<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Required Observation Detail</title>

		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Required Observation # ${requiredObservation.id}" />
			<gui:mig-box>
				<table class="migBoxInner">
					<tr>
						<td class="viewLabel" style="width: 200px;">
							Procedure:
						</td>
						<td class="viewData">
							${requiredObservation.sop.name}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Display Name:
						</td>
						<td class="viewData">
							${requiredObservation.displayName}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Display Order:
						</td>
						<td class="viewData">
							${requiredObservation.orderBy}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Default Value:
						</td>
						<td class="viewData">
							${requiredObservation.defaultValue}
						</td>
					</tr>

					<tr>
						<td class="viewLabel">
							Mandatory Observation:
						</td>
						<td class="viewData">
							${requiredObservation.mandatoryObservation}
						</td>
					</tr>
          
          <tr>
            <td class="viewLabel">
              Series Data:
            </td>
            <td class="viewData">
              ${requiredObservation.seriesData}
            </td>
          </tr>
          
          <tr>
            <td class="viewLabel">
              Machine Data:
            </td>
            <td class="viewData">
              ${requiredObservation.machineData}
            </td>
          </tr>
				</table>
			</gui:mig-box>

			<gui:mig-box label="Observation Type">
				<table class="migBoxInner">
					<tr>
						<td class="viewLabel" style="width: 200px;">
							Type Name:
						</td>
						<td class="viewData">
							${requiredObservation.observationType.name}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Description:
						</td>
						<td class="viewData">
							${requiredObservation.observationType.description}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Fundamental Type:
						</td>
						<td class="viewData">
							${requiredObservation.observationType.observationMetaType.name}
						</td>
					</tr>
				</table>
			</gui:mig-box>
		</gui:page>
	</body>
</html>

