<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Data Capture Option Detail</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="Data Capture Option ${record.id}" />
			<gui:mig-box>
				<table class="migBoxInner">
					<tr>
						<td class="viewLabel" style="width: 200px;">
							Name:
						</td>
						<td class="viewData">
							${record.name}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Description:
						</td>
						<td class="viewData">
							${record.description}
						</td>
					</tr>
				</table>
			</gui:mig-box>
			
			<gui:mig-box label="Observation Type">
				<table class="migBoxInner">
					<tr>
						<td class="viewLabel" style="width: 200px;">
							Name:
						</td>
						<td class="viewData">
							${record.observationType.name}
						</td>
					</tr>
					<tr>
						<td class="viewLabel">
							Description:
						</td>
						<td class="viewData">
							${record.observationType.description}
						</td>
					</tr>
				</table>
			</gui:mig-box>
		</gui:page>
	</body>
</html>

