<%
response.setHeader("Cache-Control","no-cache");
response.setHeader("Pragma","no-cache");
response.setDateHeader ("Expires", 0);
%>
  
<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ page import="uk.ac.sanger.mig.pubmedsorter.Article" %>
<%@ page import="uk.ac.sanger.mig.pubmedsorter.Author" %>
<%@ taglib uri="gui" prefix="gui"%>

<jsp:useBean id="pubmedsearch" class="uk.ac.sanger.mig.pubmedsorter.PubmedSearchEngine" scope="session"/>
<gui:docType />
<html>
<head><!--version 5.1-->
	<title>Articles Confirmation</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<link rel="stylesheet" type="text/css" href="css/migMain.css">
</head>
<body>
	<gui:page>
		<gui:pageHeader name="Selected Articles Confirmation" showBackUrl="false" />
			<div class="category">
				<form action="pubmed_confirm_articles.do" method="post">
						<%
						List<String> articlesSelected = (List<String>)session.getAttribute("selected"); 
						if(articlesSelected.size() > 0){
							if (articlesSelected.size() > 1) {
						%>
					<div class="submitButtons">
						<input type="submit" value="<< Back" name="action">
						<input type="submit" value="Back to PubMed search results" name="action">
						<%if(articlesSelected.size() > 0){%>
						<input type="submit" value="Confirm" name="action">
						<% } %>
					</div>
						<%
							}
							
							for(int j=0;j<articlesSelected.size();j++){
								%>
					<table width="100%">
						<tr>
							<td>
								<gui:mig-box >
									<table class="migBoxInner" valign="top">
										<tr>
								<%
								String key = articlesSelected.get(j);
								Article article = (Article)pubmedsearch.getArticle(key);
								out.println("<td valign=\"top\"><table border=\"0\" cellpadding=\"6\">");
								out.println("<tr><td class=\"pubmedSearchJournal\">");
								int index = j+1;
								out.println(index+": "+article.getJournalTitle());
								if(article.getYear() != 0){
									out.println(article.getYear());
								}
								if(article.getMonth() != null){
									out.println(article.getMonth());
								}
								if(article.getDay() != 0){
									out.println(article.getDay());
								}
								if(article.getVolume()!= null){
								 	out.println(";"+article.getVolume());
								}
								if(article.getIssue()!=null){
									out.println("("+article.getIssue()+")");
								}
								if(article.getPages()!=null){
									out.println(":"+article.getPages()+".");
								}
								out.println("<br /></td></tr><tr><td class=\"pubmedSearchTitle\">"+article.getArticleTitle()+"<br /></td></tr>");
								out.println("<tr><td class=\"pubmedSearchAuthor\">");
								List<Author> authors = (List<Author>)article.getAuthors();
								
								if(authors.size() != 0){
								Author author = authors.get(0);
								
								out.println(author.getLastname()+" "+author.getInitials());
								
								if(authors.size()==1){
									out.println(".");
								}else{
								int i;
									for(i = 1;i<authors.size()-1;i++){
									 author = authors.get(i);
									 out.println(", "+author.getLastname()+" "+author.getInitials());
									}
									author = authors.get(i);
									out.println(", "+author.getLastname()+" "+author.getInitials()+".");
								}
								out.println("</td></tr>");
								}
								if(article.getAffiliation()!=null){
									out.println("<tr><td class=\"pubmedSearchAffiliation\">"+article.getAffiliation()+"</td></tr>");
								}
								if(article.getAbstractText()!=null){
									out.println("<tr><td class=\"pubmedSearchpubmedSearchAbstract\">"+article.getAbstractText()+"</td></tr>");
								}
								out.println("<tr><td class=\"pubmedSearchPMID\">PMID: "+article.getPubmedId()+"[PubMed - in process]</td></tr>");
								out.println("</table></td>");
								
								out.println("<td valign=\"top\"><table cellpadding=6>");
								out.println("<tr><td>Score:&nbsp;<input type=\"text\" size=8 style=\"background-color: whitesmoke;\" name=\"Score"+article.getPubmedId()+"\" value =\""+Integer.toString(article.getScore())+"\" readonly = \"true\"></input></td></tr>");
						        out.println("<tr><td>Additional notes:</td></tr><tr><td>");
						        out.println("<textarea name=\"Text Area\" style=\"background-color: whitesmoke;\" rows=\"12\" cols=\"50\" readonly>"+article.getNotes()+"</textarea>");
						        out.println("</td></tr>");
								out.println("</table></td>");
								//Possibly not needed - JOHN TO CHECK THIS
								session.setAttribute(article.getPubmedId(), "selected");
						        session.setAttribute("TextArea"+article.getPubmedId(),article.getNotes());
								%>
										</tr>
									</table>
								</gui:mig-box>
							</td>
						</tr>
					</table>
								<%
							}
						}
						else{
							out.println("<table width=\"100%\"><tr valign=\"top\"><td align=\"center\" cellpadding=6>");
							out.println("No articles have been selected!</td></tr></table>");
						}
					%>

					<div class="submitButtons">
						<input type="submit" value="<< Back" name="action">
						<input type=submit value="Back to PubMed search results" name=action>
						<%if(articlesSelected.size() > 0){%>
						<input type=submit value="Confirm" name=action>
						<% } %>
					</div>
				</form>
			</div>						
		</gui:page>
	</body>
</html>