
<%
response.setHeader("Cache-Control","no-cache");
response.setHeader("Pragma","no-cache");
response.setDateHeader ("Expires", 0);
%>

<%@ page language="java" %>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>

<jsp:useBean id="pubmedsearch1" class="uk.ac.sanger.mig.pubmedsorter.PubmedSearchEngine" scope="session" />
<jsp:useBean id="pubmedsearch2" class="uk.ac.sanger.mig.pubmedsorter.PubmedSearchEngine" scope="session" />
<jsp:useBean id="pubmedsearch3" class="uk.ac.sanger.mig.pubmedsorter.PubmedSearchEngine" scope="session" />
<gui:docType />
<html>
	<head><!--version 5.1-->
		<title>WTSI PubMed Search Results</title>
		<gui:docType />
		<script type="text/javascript">
		<!--

		function viewSwitchAndOpen(openurl, fetchMethod, switchurl) {
			openWin(openurl, fetchMethod, 1024, 768, 1);
			<control:accessControl roles="admin,mgp-admin">
				document.location = switchurl;
			</control:accessControl>
		}

		function openWin(url, fetchMethod, w, h, r) {
		    var scrollbars = 1;
		    var status = 1;
		    var nw = null;  //ref to popup window
		    //fetch method either "externalGet" or "externalPost"
			if (fetchMethod != "externalPost") {    //normal GET query fetch
				nw = window.open(url, fetchMethod, 'width=' + w + ',height=' + h + ',resizable=' + r +', scrollbars, status=yes, toolbar=yes, location=yes, top=10, left=10');
			}
			else { 	//translate HTTP GET to POST
			    var baseUrlQueryString = url.split("?");
			    var baseUrl = baseUrlQueryString[0];
			    var queryString = baseUrlQueryString[1];
			    var nameValuePairs = queryString.split("&");

			    //as work around to ie access denied err when talking across windows, need to load non-null/blank
			    //url document--in this case, index.html, which is pretty universal anyway.
			    nw = window.open('index.html', name, 'width=' + w + ',height=' + h + ',resizable=' + r +', scrollbars, status=yes, toolbar=yes, location=yes, top=10, left=10');

			    nw.document.writeln("<html><meta http-equiv='refresh' content='3'>");

			    nw.document.writeln("<br /><br /><br /><center><h4>Posting HTTP params to "+baseUrl+"...<br /><br /><div style='color:red;'>Click the reload button in your browser if page does not load within a few seconds.</div><br /><br /></h4>");
			    //nw.document.writeln("<form method='POST' action='"+baseUrl+"'>");

			    var frm = nw.document.createElement('form');
			    frm.setAttribute('method','post');
			    frm.setAttribute('action', baseUrl);

			    for(var x = 0; x < nameValuePairs.length; x++) {
			         var pair = nameValuePairs[x].split("=");
			         //nw.document.writeln("<input type='text' name='"+pair[0]+"' value='"+pair[1]+"'/><br />");
			    	 var inputTag = nw.document.createElement('input');
			    	 inputTag.setAttribute('type','text');
			    	 inputTag.setAttribute('name',pair[0]);
			    	 inputTag.setAttribute('value',pair[1]);
			    	 frm.appendChild(inputTag);
			    }
		        //nw.document.writeln("</form>");
		        //nw.document.forms[0].submit();
		        var divTag = nw.document.createElement('div');
		        divTag.setAttribute('align','center');
		        divTag.appendChild(frm);
		        nw.document.body.appendChild(divTag);
		        frm.submit();
		    }
			if(nw != null) nw.focus();
		}

		function selectMe(frm) {
			if(!frm || !frm.vote) return;
			for(var i = 0; i < frm.vote.length; i++) {
				if(frm.vote[i].checked == true) {
				   frm.vote[i].style.backgroundColor = '#990000';
				} else {
				   frm.vote[i].style.backgroundColor = '#ffffff';
				}
			}
		}

		// -->
		</script>
		<link rel="stylesheet" type="text/css" href="css/migMain.css">
	</head>
<body>
	<gui:page>
		<gui:pageHeader name="PubMed Search Results" />
			<gui:mig-box>
				<table class="migBoxInner">
					<%
					if ((session.getAttribute("keyword1") == null) & (session.getAttribute("keyword2") == null) & (session.getAttribute("keyword1")) == null) {
					%>
					<tr>
						<td class="pubmedSearchResult">This Ensemble NOVEL Gene does not have any names associated with it! Please use the pubMed link below to search manually.</td>
					</tr>
					<tr>
						<td>
							<a href="#" onclick="viewSwitchAndOpen('${pubmedGeneQuery}', 'externalGet', 'add_pubmed_evidence.do?migGeneId=${id}', false);">Go to PubMed</a>
						</td>
					<tr>
						<td align = 'left'>
							<a href="view_one_miggene.do?migGeneId=${id}">Back to Gene Details</a>
						</td>
					</tr>
					<%} else if((pubmedsearch1.getPubmedIds().size()==0)&(pubmedsearch2.getPubmedIds().size()==0)&(pubmedsearch3.getPubmedIds().size()==0)){%>
					<tr>
						<td class="pubmedSearchResult">Searching returns 0 results, Please use the PubMed link below to search manually.</td>
					</tr>
					<%}else {%>
					<tr>
						<td class="pubmedSearchResult"><%=pubmedsearch1.getPubmedIds().size()  %> results returned for: <%=session.getAttribute("keyword1")%></td>
						<td class="pubmedSearchResult">
							<%if (pubmedsearch1.getPubmedIds().size() > 0) {%>
							<a href="pubmed_initial_display.do?choice=1">View Result Set 1</a>
							<%} else { %>
							View Result Set 1
							<%} %>
						</td>
					</tr>
					<tr>
						<td class="pubmedSearchResult"><%=pubmedsearch2.getPubmedIds().size()  %> results returned for: <%=session.getAttribute("keyword2")%></td>
						<td class="pubmedSearchResult">
							<%if (pubmedsearch2.getPubmedIds().size() > 0) {%>
							<a href="pubmed_initial_display.do?choice=2">View Result Set 2</a>
							<%} else { %>
							View Result Set 2
							<%} %>
						</td>
					</tr>
					<tr>
						<td class="pubmedSearchResult"><%=pubmedsearch3.getPubmedIds().size()  %> results returned for: <%=session.getAttribute("keyword3")%></td>
						<td class="pubmedSearchResult">
							<%if (pubmedsearch2.getPubmedIds().size() > 0) {%>
							<a href="pubmed_initial_display.do?choice=3">View Result Set 3</a>
							<%} else { %>
							View Result Set 3
							<%} %>
						</td>
					</tr>
					<%}%>
				</table>
			</gui:mig-box>
			<div>
				<a href="view_one_miggene.do?migGeneId=<%=session.getAttribute("id")%>">Back to Gene Details</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="#" onclick="viewSwitchAndOpen('${pubmedGeneQuery}', 'externalGet', 'add_pubmed_evidence.do?migGeneId=${id}', false);">Go to PubMed</a>
			</div>
	</gui:page>
</body>
</html>