CREATE OR REPLACE VIEW PHN_EXPERIMENT_SUMMARY_VW AS
  SELECT
  m.*,
  to_char(mp.start_date, 'dd-mm-yyyy') assay_date,
  ROUND((mp.start_date -m.birth_date) / 7,   1) age_in_weeks,
  per.first_name || ' ' || per.last_name pil_holder,
  e.sop_id,
  e.is_complete,
  e.id experiment_id
FROM phn_experiment e
JOIN rep_mouse_header_vw m on m.mouse_id = e.mouse_id
JOIN mts_mouse_procedure mp ON e.id = mp.foreign_key_id AND mp.foreign_table_name = 'PHN_EXPERIMENT'
JOIN lic_personal_licence pil ON mp.personal_licence_id = pil.personal_licence_id
JOIN per_person per ON pil.person_id = per.person_id;