
--add col to mir_cell_line_strain_dict for req donor strain
alter table mir_cell_line_strain_dict add (req_donor_strain_id integer);


--create f1 workflow rule 
CREATE TABLE MIR_F1_WORKFLOW_RULE
(
  CELL_LINE_STRAIN_ID     INTEGER               NOT NULL,
  CHIMERA_MATE_STRAIN_ID  INTEGER,
  TASK_GROUP_ID           INTEGER
);

CREATE TABLE MIR_TASK_GROUP_DICT
(
  ID           INTEGER                          NOT NULL,
  NAME         VARCHAR2(256 CHAR)               NOT NULL,
  DESCRIPTION  VARCHAR2(2048 CHAR),
  ACTIVE       NUMBER(1)                        DEFAULT 1                     NOT NULL,
  ORDER_BY     NUMBER
);


CREATE TABLE MIR_TASK_TEMPLATE
(
  ID               INTEGER,
  NAME             VARCHAR2(128 CHAR)           NOT NULL,
  DESCRIPTION      VARCHAR2(4000 CHAR),
  SEQUENCE_NUMBER  INTEGER                      NOT NULL,
  TIME_OFFSET      NUMBER                       NOT NULL,
  TIME_UNIT        VARCHAR2(255 BYTE),
  IS_MILESTONE     NUMBER(1),
  TASK_GROUP_ID    INTEGER
);


  
ALTER TABLE MIR_SCHEDULED_MI_TASK ADD (TASK_GROUP_ID integer);



ALTER TABLE MIR_TARGET_ENDPOINT_DICT ADD (DEFAULT_TASK_GROUP_ID integer);


  
