insert into gtp_well_type_dict (id, name, description, order_by, active) values (1, 'Blank', 'BLANK', 1, 1);
insert into gtp_well_type_dict (id, name, description, order_by, active) values (2, 'Control', 'CONTROL', 2, 1);
insert into gtp_well_type_dict (id, name, description, order_by, active) values (3, 'Earclip', 'EARCLIP', 3, 1);
insert into gtp_well_type_dict (id, name, description, order_by, active) values (4, 'Other Tissue', 'OTHER_TISSUE', 4, 1);

insert into gtp_assay_type_dict (id, name, description, order_by, active, scope) values (1, 'LacZ', null, 1, 1, 'Plate');
insert into gtp_assay_type_dict (id, name, description, order_by, active, scope) values (2, 'Mutant', null, 2, 1, 'Allele');
insert into gtp_assay_type_dict (id, name, description, order_by, active, scope) values (3, 'Wildtype', null, 3, 1, 'Allele');

insert into gtp_assay_result_dict (id, name, description, order_by, active) values (1, 'Present', null, 1, 1);
insert into gtp_assay_result_dict (id, name, description, order_by, active) values (2, 'Absent', null, 2, 1);
insert into gtp_assay_result_dict (id, name, description, order_by, active) values (3, 'Ambiguous', null, 3, 1);

insert into mts_geno_history_source_dict (id, name, description, order_by, active) values (1, 'PCR', null, 1, 1);
insert into mts_geno_history_source_dict (id, name, description, order_by, active) values (2, 'Manual', null, 2, 1);

-- data changes required when we roll out the genotyping module
insert into APP_TABLE_METADATA (id,table_name,primary_key_column) values (
  (select max(id)+1 from APP_TABLE_METADATA),'GTP_ASSAY_PLATE','ID'
);
insert into APP_TABLE_METADATA (id,table_name,primary_key_column) values (
  (select max(id)+1 from APP_TABLE_METADATA),'GTP_ASSAY','ID'
);
insert into MTS_COHORT_TYPE_DICT (ID,NAME,DESCRIPTION,ORDER_BY,ACTIVE) values (4,'Genotyping List',null,4,'1');

begin
  app_sync_custom_query('assayPlateResultSummary','migd.world');
  app_sync_custom_query('genotypeAssayPlates','migd.world');
  app_sync_custom_query('genotypeHistoryToday','migd.world');
  app_sync_custom_query('genotypeCohorts','migd.world');
end;
/

commit;