package uk.ac.sanger.mig.common.controllers;

import java.io.ObjectOutputStream;
import java.util.Map;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.View;


public class SerializedObjectView implements View {
	

	public String getContentType() {

		return "application/java-serialized-object";
	}
	
	public void render(Map model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		
		ServletOutputStream out = response.getOutputStream();
		
		Object object = model.get("serializedObjectView");
		
		ObjectOutputStream objectOutputStream = new ObjectOutputStream( out );
		
		response.setContentType( getContentType() );
		objectOutputStream.writeObject( object );
		
		objectOutputStream.flush();
		objectOutputStream.close();
	}

}
