package uk.ac.sanger.mig.cryoprocessing.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;
import org.springframework.jdbc.core.simple.ParameterizedRowMapper;
import uk.ac.sanger.mig.cryoprocessing.ThawTest;

public class ThawTestRowMapper implements ParameterizedRowMapper<ThawTest> {

	public ThawTest mapRow(ResultSet rs, int rowNum) throws SQLException {

		//used for fetch
		ThawTest thawTest = new ThawTest();
		thawTest.setId(rs.getLong("ID"));if(rs.wasNull()) thawTest.setId(null);
		thawTest.setCryoRequestId(rs.getLong("CRQ_REQUEST_ID"));
		if(rs.wasNull()) thawTest.setCryoRequestId(null);
		thawTest.setEditedBy(rs.getString("EDITED_BY"));
		thawTest.setCheckNumber(rs.getLong("CHECK_NUMBER"));if(rs.wasNull()) thawTest.setCheckNumber(null);
		thawTest.setCreatorId(rs.getLong("CREATOR_ID")); if(rs.wasNull()) thawTest.setCreatorId(null);
		thawTest.setEditDate(rs.getDate("EDIT_DATE"));
		thawTest.setCreatedDate(rs.getDate("CREATED_DATE"));
		thawTest.setComments(rs.getString("COMMENTS"));
		thawTest.setDateCompleted(rs.getDate("COMPLETE_DATE"));
		thawTest.setRetrievalNumber(rs.getInt("RETRIEVAL_NUMBER"));
        if(rs.wasNull()) thawTest.setRetrievalNumber(null);
        thawTest.setDueDate(rs.getDate("DUE_DATE"));

		return thawTest;
	}
}