 package uk.ac.sanger.mig.cryoprocessing.services;

import java.util.Collection;
import uk.ac.sanger.mig.common.ComponentMap;
import uk.ac.sanger.mig.cryoprocessing.ThawTest;
import uk.ac.sanger.mig.cryoprocessing.views.SampleListView;
import uk.ac.sanger.mig.miprocessing.EmbryoTransferProcedure;
import uk.ac.sanger.mig.personnel.Person;

public interface ThawTestService {

	public ThawTest fetchById(Long id, ComponentMap componentMap);

	public Collection<ThawTest> fetchAllByRequestId(Long requestId, ComponentMap componentMap);

	public Long storeThawTest(ThawTest thawTest,Collection<SampleListView> samples, Collection<EmbryoTransferProcedure> embryoTransfers, Person user);

	public Long store(ThawTest thawTest, Person user);

	public Long editThawTest(ThawTest thawTest, Person user);

	public ThawTest fetchWithAllComponents(Long thawTestId);

}