package uk.ac.sanger.mig.customquery;

import java.util.Collection;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;

public class CustomQueryColumn extends AuthenticatedDataObject {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,
		VALID_VALUES
	}

	private Long customQueryId;
	private String columnName;
	private String actualQueryColumn;
	private String columnTitle;
	private CustomQueryColumnDatatype datatype;
	private String datatypeFormat;
	private String datatypeFormat2;
	private int orderBy;
	private String listQuery;
	private Collection<CustomQueryColumnValidValue> validValues;
	boolean displayColumn;
	boolean filterColumn;
	private String conditionalTest;
	private String conditionalValue;
	private String queryParam;
	private String columnAttribute;
	private String columnAttributeValue;

	public String getColumnName() {
		return columnName;
	}
	public void setColumnName(String columnName) {
		this.columnName = columnName;
	}
	public String getColumnTitle() {
		return columnTitle;
	}
	public void setColumnTitle(String columnTitle) {
		this.columnTitle = columnTitle;
	}
	public Long getCustomQueryId() {
		return customQueryId;
	}
	public void setCustomQueryId(Long customQueryId) {
		this.customQueryId = customQueryId;
	}
	public CustomQueryColumnDatatype getDatatype() {
		return datatype;
	}
	public void setDatatype(CustomQueryColumnDatatype datatype) {
		this.datatype = datatype;
	}
	public int getOrderBy() {
		return orderBy;
	}
	public void setOrderBy(int orderBy) {
		this.orderBy = orderBy;
	}
	public String getDatatypeFormat() {
		return datatypeFormat;
	}
	public void setDatatypeFormat(String datatypeFormat) {
		this.datatypeFormat = datatypeFormat;
	}
	public Collection<CustomQueryColumnValidValue> getValidValues() {
		return validValues;
	}
	public void setValidValues(Collection<CustomQueryColumnValidValue> validValues) {
		this.validValues = validValues;
	}
	public String getDatatypeFormat2() {
		return datatypeFormat2;
	}
	public void setDatatypeFormat2(String datatypeFormat2) {
		this.datatypeFormat2 = datatypeFormat2;
	}
	public String getActualQueryColumn() {
		return actualQueryColumn;
	}
	public void setActualQueryColumn(String actualQueryColumn) {
		this.actualQueryColumn = actualQueryColumn;
	}
	public String getListQuery() {
		return listQuery;
	}
	public void setListQuery(String listQuery) {
		this.listQuery = listQuery;
	}
	public boolean isDisplayColumn() {
		return displayColumn;
	}
	public void setDisplayColumn(boolean displayColumn) {
		this.displayColumn = displayColumn;
	}
	public boolean isFilterColumn() {
		return filterColumn;
	}
	public void setFilterColumn(boolean filterColumn) {
		this.filterColumn = filterColumn;
	}
	public String getConditionalTest() {
		return conditionalTest;
	}
	public void setConditionalTest(String conditionalTest) {
		this.conditionalTest = conditionalTest;
	}
	public String getConditionalValue() {
		return conditionalValue;
	}
	public void setConditionalValue(String conditionalValue) {
		this.conditionalValue = conditionalValue;
	}
	public String getQueryParam() {
		return queryParam;
	}
	public void setQueryParam(String queryParam) {
		this.queryParam = queryParam;
	}
	public String getColumnAttribute() {
		return columnAttribute;
	}
	public void setColumnAttribute(String columnAttribute) {
		this.columnAttribute = columnAttribute;
	}
	public String getColumnAttributeValue() {
		return columnAttributeValue;
	}
	public void setColumnAttributeValue(String columnAttributeValue) {
		this.columnAttributeValue = columnAttributeValue;
	}

}
