package uk.ac.sanger.mig.customquery.services;

import java.util.Collection;

import uk.ac.sanger.mig.common.ComponentMap;
import uk.ac.sanger.mig.customquery.CustomQueryColumn;
import uk.ac.sanger.mig.customquery.forms.CustomQueryColumnPrefsForm;

public interface CustomQueryColumnService {

	public Collection<CustomQueryColumn> fetchColumnPrefsByQueryId(Long queryId, Long personId, ComponentMap requiredComponents);

	public Collection<CustomQueryColumn> fetchCurrent(Long queryId, Long personId);

	public Collection<CustomQueryColumn> fetchAvailable(Long queryId, Long personId);

	public Collection<CustomQueryColumn> fetchFilterable(Long queryId, ComponentMap requiredComponents);

	public void storePersonPreferences(CustomQueryColumnPrefsForm form);

	public CustomQueryColumn fetchById(Long columnId, ComponentMap requiredComponents);

	public CustomQueryColumn fetchByName(Long queryId, String columnName, ComponentMap requiredComponents);
}
