package uk.ac.sanger.mig.histology;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.common.DictionaryEntry;

public class Event extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,
		NECROPSY
	}

    private Long necropsyId;    
    private Necropsy necropsy;
    private Long necropsyEventDictId;  
    private DictionaryEntry necropsyEventDict;
    
	public Necropsy getNecropsy() {
		return necropsy;
	}
	public void setNecropsy(Necropsy necropsy) {
		this.necropsy = necropsy;
	}
	public DictionaryEntry getNecropsyEventDict() {
		return necropsyEventDict;
	}
	public void setNecropsyEventDict(DictionaryEntry necropsyEventDict) {
		this.necropsyEventDict = necropsyEventDict;
	}
	public Long getNecropsyEventDictId() {
		return necropsyEventDictId;
	}
	public void setNecropsyEventDictId(Long necropsyEventDictId) {
		this.necropsyEventDictId = necropsyEventDictId;
	}
	public Long getNecropsyId() {
		return necropsyId;
	}
	public void setNecropsyId(Long necropsyId) {
		this.necropsyId = necropsyId;
	}

   
}