package uk.ac.sanger.mig.histology;

import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;

public class NecropsyTissue extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,
		TISSUE,
		NECROPSY
	}

    private Long id;        
    private Long necropsyId;        
    private Long tissueId;    
    private String comments;
    
    private Necropsy necropsy;
    private Tissue tissue;
    
  

	public String getComments() {
		return comments;
	}

	public void setComments(String comments) {
		this.comments = comments;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Necropsy getNecropsy() {
		return necropsy;
	}

	public void setNecropsy(Necropsy necropsy) {
		this.necropsy = necropsy;
	}

	public Long getNecropsyId() {
		return necropsyId;
	}

	public void setNecropsyId(Long necropsyId) {
		this.necropsyId = necropsyId;
	}

	public Tissue getTissue() {
		return tissue;
	}

	public void setTissue(Tissue tissue) {
		this.tissue = tissue;
	}

	public Long getTissueId() {
		return tissueId;
	}

	public void setTissueId(Long tissueId) {
		this.tissueId = tissueId;
	}        

                                                                                                 

}