package uk.ac.sanger.mig.histology.controllers;

import java.io.Serializable;
import java.util.ArrayList;

import uk.ac.sanger.mig.common.controllers.SerializedViewController;
import uk.ac.sanger.mig.histology.services.ScanService;
import uk.ac.sanger.mig.histology.views.SerializableScanView;

/**
 * @author ae1
 *
 */
public class ListCropSelectionScansController extends SerializedViewController {

	private ScanService scanService;
	
	@Override
	public Serializable fetchSerializableObject() {
		
		return (ArrayList<SerializableScanView>)scanService.fetchCropSelectionBinSerialized( );
	}

	public void setScanService(ScanService scanService) {
		this.scanService = scanService;
	}

}
