package uk.ac.sanger.mig.histology.dao;

import java.util.Collection;

import uk.ac.sanger.mig.database.TypedDao;
import uk.ac.sanger.mig.histology.NecropsyTissue;
																
	/**
	 * Takes search bean and returns a Collection of NecropsyTissue OBJECTS
	 * based on set fields in bean *and* (THIS IS IMPORTANT) your implementation
	 * of search method in Dao layer -- eg, are you testing for equality? 
	 * Greater than/less than, etc?
	 * @param necropsyTissueSearchBean
	 * @return
	 */
	 
	public interface NecropsyTissueDao extends TypedDao<NecropsyTissue> {
		public Collection<NecropsyTissue> fetchByNecropsyId(Long necropsyId);	
}