package uk.ac.sanger.mig.histology.dao;

import java.util.Collection;

import uk.ac.sanger.mig.database.TypedDao;
import uk.ac.sanger.mig.histology.Tissue;
																
	/**
	 * Takes search bean and returns a Collection of Tissue OBJECTS
	 * based on set fields in bean *and* (THIS IS IMPORTANT) your implementation
	 * of search method in Dao layer -- eg, are you testing for equality? 
	 * Greater than/less than, etc?
	 * @param tissueSearchBean
	 * @return
	 */
	 
	public interface TissueDao extends TypedDao<Tissue> {
	//public Collection<Tissue> search(TissueSearchBean tissueSearchBean);
	public Collection<Tissue> fetchAll();
	public Collection<Tissue> fetchByBlockTypeId(Long blockTypeId);
	
}