package uk.ac.sanger.mig.histology.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.histology.views.BlockTypeView;

public class BlockTypeViewRowMapper implements ParameterizedRowMapper<BlockTypeView> {
	
	public BlockTypeView mapRow(ResultSet rs, int rowNum) throws SQLException {
		
		BlockTypeView blockType = new BlockTypeView();
		

		blockType.setId(rs.getLong("ID"));if(rs.wasNull()) blockType.setId(null);

		blockType.setDescription(rs.getString("DESCRIPTION"));

		blockType.setActive(rs.getBoolean("ACTIVE"));

		blockType.setName(rs.getString("NAME"));

		blockType.setOrderBy(rs.getInt("ORDER_BY"));
		
		blockType.setStandardBlock(rs.getBoolean("STANDARD_BLOCK"));

		blockType.setCassetteTypeDictId(rs.getLong("CASSETTE_TYPE_DICT_ID"));
		if(rs.wasNull()) blockType.setCassetteTypeDictId(null);	
		
		blockType.setFullDescription(rs.getString("FULL_DESCIPTION"));
	
		
		return blockType;
		
	}
}