package uk.ac.sanger.mig.histology.validators;

import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

import uk.ac.sanger.mig.histology.forms.NecropsyForm;

public class NecropsyFormValidator implements Validator {
	
	 public boolean supports(Class clazz) {
		    return NecropsyForm.class.equals(clazz);
		  }
	 
	 public void validate(Object command, Errors errors) {
		NecropsyForm necropsyForm = (NecropsyForm)command;
		
		if(necropsyForm.getFixationStartDateTime() == null) {
			errors.reject(null, "Fixation Start Time is required.");
		}
	}
}
