package uk.ac.sanger.mig.mousetracking;

import java.util.Comparator;


import uk.ac.sanger.mig.mousetracking.views.MouseListView;

public class CohortSetMouseListComparator implements Comparator<MouseListView> {
	//if the compare fields are null, return 0 instead of let it throw run time exception
	public int compare(MouseListView o1, MouseListView o2) {
		int i=0;

		if(o1.getGenotype() != null && o2.getGenotype() != null){
			i = o1.getGenotype().compareTo(o2.getGenotype());
		}

		if (i!=0) return i;

		if(o1.getGenderDictId() != null && o2.getGenderDictId() != null){
			i=o1.getGenderDictId().compareTo(o2.getGenderDictId());
		}
		if(i!=0) return i;

		if(o1.getStrain() != null && o2.getStrain() != null){
			i = o1.getStrain().compareTo(o2.getStrain());
		}
		return i;
	}
}
