package uk.ac.sanger.mig.mousetracking;

import java.util.Collection;

import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.histology.Necropsy;

public class ExperimentData {
	
	public enum Component implements ComponentEnum {
		MOUSE,
		MOUSE_WEIGHTS,
		NECROPSY,
		PROCEDURES
	}

	private Long mouseId;
	private Mouse mouse;
	private Collection<MouseWeight> mouseWeights;
	private Collection<MouseProcedure> mouseProcedures;
	private Necropsy necropsy;

  public Long getMouseId() {
		return mouseId;
	}

	public void setMouseId(Long mouseId) {
		this.mouseId = mouseId;
	}

	public Mouse getMouse() {
		return mouse;
	}

	public void setMouse(Mouse mouse) {
		this.mouse = mouse;
	}	

	public Collection<MouseWeight> getMouseWeights() {
		return mouseWeights;
	}

	public void setMouseWeights(Collection<MouseWeight> mouseWeights) {
		this.mouseWeights = mouseWeights;
	}

	public Collection<MouseProcedure> getMouseProcedures() {
		return mouseProcedures;
	}

	public void setMouseProcedures(Collection<MouseProcedure> mouseProcedures) {
		this.mouseProcedures = mouseProcedures;
	}	
	
	public Necropsy getNecropsy() {
    return necropsy;
  }

  public void setNecropsy(Necropsy necropsy) {
    this.necropsy = necropsy;
  }

}
