package uk.ac.sanger.mig.mousetracking.controllers;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.bind.ServletRequestUtils;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.ParameterizableViewController;

import uk.ac.sanger.mig.common.RequestUtils;
import uk.ac.sanger.mig.mousetracking.services.CageService;
import uk.ac.sanger.mig.personnel.Person;

public class AuditRoomController extends ParameterizableViewController {

	private CageService cageService;

	public void setCageService(CageService cageService) {
		this.cageService = cageService;
	}

	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest request, HttpServletResponse response) throws Exception {
		Long roomId = ServletRequestUtils.getRequiredLongParameter(request, "roomId");

		Person user = RequestUtils.getUser(request);
		cageService.moveCagesToAuditRack(roomId, user);

		return new ModelAndView(getViewName(), "id", roomId);
	}

}
