package uk.ac.sanger.mig.reporting.dao;

import java.util.Collection;

import uk.ac.sanger.mig.database.TypedDao;
import uk.ac.sanger.mig.reporting.GraphMetaData;


public interface GraphMetaDataDao extends TypedDao<GraphMetaData>{

	public Collection<GraphMetaData> fetchByViewName(String viewName);
	public GraphMetaData fetchByViewNameAndColumn(String viewName, String column);
	public Collection<GraphMetaData> fetchAvailable(Long pageId, Long groupId);
	public Collection<GraphMetaData> fetchCurrent(Long pageId, Long groupId);

}
