package uk.ac.sanger.mig.reporting.forms;

import java.util.Collection;
import java.util.Date;

import uk.ac.sanger.mig.reporting.RepGraph;
import uk.ac.sanger.mig.reporting.RepPageType;
import uk.ac.sanger.mig.reporting.RepPipelineTests;

public class BaselineSearchForm {

	private Collection<RepPipelineTests> pages;
	private Collection<RepGraph> graphs;

	private Long pipelineTestId;
	private RepPipelineTests pipelineTest;
	private RepPageType selectedPage;
	private Long selectedPageId;
	private Long graphMetadataId;
	private String timePeriodGrouping;
	private String strainName;
	private Long strainId;
	private String pipelineName;
	private Long pipelineId;

	private Date startDate;
	private Date endDate;

	private String changeForm;
	private String changeFormValue;


	public Long getPipelineTestId() {
		return pipelineTestId;
	}

	public void setPipelineTestId(Long pipelineTestId) {
		this.pipelineTestId = pipelineTestId;
	}

	public RepPipelineTests getPipelineTest() {
		return pipelineTest;
	}

	public void setPipelineTest(RepPipelineTests pipelineTest) {
		this.pipelineTest = pipelineTest;
	}

	public String getPipelineName() {
		return pipelineName;
	}

	public void setPipelineName(String pipelineName) {
		this.pipelineName = pipelineName;
	}

	public String getStrainName() {
		return strainName;
	}

	public void setStrainName(String strainName) {
		this.strainName = strainName;
	}

	public Long getPipelineId() {
		return pipelineId;
	}

	public void setPipelineId(Long pipelineId) {
		this.pipelineId = pipelineId;
	}

	public Long getStrainId() {
		return strainId;
	}

	public void setStrainId(Long strainId) {
		this.strainId = strainId;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public String getTimePeriodGrouping() {
		return timePeriodGrouping;
	}

	public void setTimePeriodGrouping(String timePeriodGrouping) {
		this.timePeriodGrouping = timePeriodGrouping;
	}

	public Long getGraphMetadataId() {
		return graphMetadataId;
	}

	public void setGraphMetadataId(Long graphMetadataId) {
		this.graphMetadataId = graphMetadataId;
	}

	public Collection<RepGraph> getGraphs() {
		return graphs;
	}

	public void setGraphs(Collection<RepGraph> graphs) {
		this.graphs = graphs;
	}

	public String getChangeForm() {
		return changeForm;
	}

	public void setChangeForm(String changeForm) {
		this.changeForm = changeForm;
	}

	public String getChangeFormValue() {
		return changeFormValue;
	}

	public void setChangeFormValue(String changeFormValue) {
		this.changeFormValue = changeFormValue;
	}

	public Long getSelectedPageId() {
		return selectedPageId;
	}

	public void setSelectedPageId(Long selectedPageId) {
		this.selectedPageId = selectedPageId;
	}

	public RepPageType getSelectedPage() {
		return selectedPage;
	}

	public void setSelectedPage(RepPageType selectedPage) {
		this.selectedPage = selectedPage;
	}

	public Collection<RepPipelineTests> getPages() {
		return pages;
	}

	public void setPages(Collection<RepPipelineTests> pages) {
		this.pages = pages;
	}

}
