/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.testing;

import junit.textui.TestRunner;

import org.apache.velocity.app.VelocityEngine;

import uk.ac.sanger.mig.havanarequest.dao.HavanaRequestDaoSpringImpl;

public class TestHavanaRequestServiceImpl extends SpringLauncher {
	
	private HavanaRequestDaoSpringImpl havanaRequestDaoSpringImpl;
	private VelocityEngine velocityEngine;
	
	public void setHavanaRequestDaoSpringImpl(
			HavanaRequestDaoSpringImpl havanaRequestDaoSpringImpl) {
		this.havanaRequestDaoSpringImpl = havanaRequestDaoSpringImpl;
	}

	public void setVelocityEngine(VelocityEngine velocityEngine) {
		this.velocityEngine = velocityEngine;
	}

	public static void main(String[] args) {
		TestRunner.run(TestHavanaRequestServiceImpl.class);
	}

	public TestHavanaRequestServiceImpl() {
		super();
	}

	/*
	 * Test method for 'uk.ac.sanger.mig.mirequest.dao.MirCellLineDaoSpringImpl.store(DataObject)'
	 */
//	public void testVelocity() throws Exception {
//		
//		HavanaRequest havanaRequest = havanaRequestDaoSpringImpl.fetchById(4l);
//		
//		Map<String, Object>model = new HashMap<String, Object>();
//		model.put("havanaRequest", havanaRequest);		
//		
//		System.out.println(VelocityEngineUtils.mergeTemplateIntoString(velocityEngine, "havana_request_body.vm", model));
//
//		
//		System.out.println(VelocityEngineUtils.mergeTemplateIntoString(velocityEngine, "havana_request_subject.vm", model));
//
//		
//	}

}
