package uk.ac.sanger.mig.europhenome.services;

import java.util.Collection;

import org.europhenome.Procedure;

import uk.ac.sanger.mig.testsupport.AbstractGenericServiceTest;

public class BloodsDataExportServiceTest extends AbstractGenericServiceTest {


	public void setBloodsDataExportService(BloodsDataExportService service) {
    this.service = service;

	}

	public void testReturnValuesAddUp() {
		BloodsDataExportService exportService = (BloodsDataExportService)service;

		int singleMethodCount = exportService.fetchBloodsData().size();

		int cc1Count = exportService.fetchClinicalChemistryPipelineOneData().size();
		int cc2Count = exportService.fetchClinicalChemistryPipelineTwoData().size();
		int haematologyCount = exportService.fetchHaemtologyData().size();

		assertEquals(singleMethodCount, (cc1Count + cc2Count + haematologyCount));
	}

	public void testExport() {
		BloodsDataExportService exportService = (BloodsDataExportService)service;
		Collection<Procedure> procedures = exportService.exportBloodsData(getFakeUser());
		assertTrue(!procedures.isEmpty());
	}
}
