<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<link type="text/css" href="css/migMain.css" rel="stylesheet" />
<link type="text/css" href="css/abr.css" rel="stylesheet" />
<title>Upload ABR Experiment File</title>
<script src="js/jquery.js"></script>

<script type='text/javascript'>

	function showLoader() {
		$("#fileUploadingForm").fadeOut("def", function() {
			$("#abrLoading").fadeIn("def");
		});
	}

</script>

</head>
<body>
<gui:page>
	<gui:pageHeader name="Upload ABR Experiment File" />
	<div id="fileUploadingForm">
		<form:form commandName="form" enctype="multipart/form-data" onsubmit="showLoader();">
			<gui:error-list title="Incomplete Form:" titleFont="16px"
				formErrorClass="formError" borderClass="borderTable"
				commandName="form" />
			<c:if test="${!empty form.message}">
				<div id="uploadMessage">
					<table>
						<tr>
							<td class="formError">
								<table>
									<tr>
										<td valign="middle"><img src="images/tick.gif"/></td>
										<td valign="middle" class="formError">${form.message}</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</div>
			 </c:if>
			 <gui:filterBox title="Upload File">
			 	<div style="padding: 5px;">
					<input type="file" name="uploadFile" size="60" />
				</div>
			 </gui:filterBox>

			<div style="padding-top: 10px;">
				<gui:mig-box>
					<table>
						<tr>
							<td><form:checkbox path="cageView" id="cageView"/></td>
			            	<td class="entryLabelABR"><label for="cageView">After upload go to cage printing page</label></td>
						</tr>
					</table>
				</gui:mig-box>
			</div>

			<div class="submitButtons">
				<input type="submit" value="Submit"	class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" onclick="style='cursor:wait';return true;"/>
			</div>
		</form:form>
	</div>
	<div id="abrLoading" style="display:none;">
		<div id="abrLoadingInner">
			<table align='center' border='0' cellpadding='0' cellspacing='0'>
				<tr>
					<td valign='middle'><img src="images/loading-small.gif"/></td>
					<td valign='middle'><h1>uploading file...</h1></td>
				</tr>
			</table>
		</div>
	</div>
</gui:page>
</body>
</html>
