<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Colony Information Sheet</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
		<script src="js/toggleVisibility.js"></script>
		<script type="text/javascript">
			function initElements() {
				addParent("colonyStrain.strainId");
				addChild("colonyStrain.comments","12","${form.colonyStrain.comments}","","toggleComments");
				initElementVisibility();
			}
		</script>
	</head>
	<body onload="initElements();">
		<gui:page>
			<form:form commandName="form">
				<gui:pageHeader name="Add Colony Strain" />
				<gui:mig-box >
					<table class="migBoxInner">
						<tr>
							<td class="entryLabel" width="150px">
								Mouse Strain:
							</td>
							<td class="entryData" width="300px" colspan="2">
								<form:select path="colonyStrain.strainId" onchange="toggleChildElementVisibility(this)">
									<option value="">&nbsp;</option>
									<form:options items="${strains}" itemValue="id" itemLabel="name" />
								</form:select>
							</td>
							<td align="left">
								<form:errors path="colonyStrain.strainId" cssClass="formError" />
							</td>
							<td></td>
						</tr>
						<tr id="toggleComments">
							<td class="entryLabel" width="150px">
								Additional Information:
							</td>
							<td class="entryData" colspan="3">
								<form:textarea path="colonyStrain.comments" cssStyle="width:100%;" rows="5"/>
							</td>
						</tr>
					</table>
				</gui:mig-box>

				<div class="submitButtons">
					<input type="submit" value="Submit" class="submit" onmouseover="this.className = 'submitHover'" onmouseout="this.className = 'submit'" onclick="style='cursor:wait';return true;" />
					<input type="reset" value="Reset" class="reset" onmouseover="this.className = 'resetHover'" onmouseout="this.className = 'reset'" />
					<input type="button" name="_cancel" value="Cancel" class="cancel" onmouseover="this.className = 'cancelHover'" onmouseout="this.className = 'cancel'" onclick="document.location='view_one_colony_info_for_edit.do?id=${form.colonyStrain.colonyId}'" />
				</div>

			</form:form>
		</gui:page>
	</body>
</html>

