<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="spring/form" prefix="form"%>
<gui:docType />
<html>
	<head>
		<title>List Sampels</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/printLabels.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/printLabels.js"></script>
		<script type="text/javascript" src="js/delete.js"></script>
	</head>
	<body>
		<gui:page>
		<gui:pageHeader name="List Straws" />
		<form:form commandName="searchBean" action="simple_search_samples.do" method="get">
		<input type="hidden" id="bypassForm" name="bypassForm" value="true" />
		<div class="listPaginated">
		<gui:paginate bean="${searchBean}" />
			<c:if test="${!empty straws}">
			<table class="listPaginated" id="guiListCryoRequestsTable">
				<thead class="listPaginatedHeader">
					<tr>
						<th>Options</th>
						<th>
						<gui:paginate-order-by orderBy="id" bean="${searchBean}">
							Straw ID<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="request_id" bean="${searchBean}">
							Cryo Request ID<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="colony_name" bean="${searchBean}">
							Colony Name<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="freeze_down_date" bean="${searchBean}">
							Freeze Down Date<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="embryo_count" bean="${searchBean}">
							Embryo Count<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="embryo_grade_dict_id" bean="${searchBean}">
							Embryo Grade<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="freezer_name" bean="${searchBean}">
							Freezer<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="canister_id" bean="${searchBean}">
							Canister<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="goblet_name" bean="${searchBean}">
							Goblet<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="wedge_colour" bean="${searchBean}">
							Wedge<br />
						</gui:paginate-order-by>
						</th>
						<th>
						<gui:paginate-order-by orderBy="technician_name" bean="${searchBean}">
							Technician<br />
						</gui:paginate-order-by>
						</th>
					</tr>
				</thead>

					<c:forEach items="${straws}" var="straw">
						<gui:toggle-row-class />
						<tr valign="top" class="${rowClass}">
							<td width=80px;>
							<!--Cancel-->
							<a href="cancel_sample.do?id=${straw.strawId}&referrer=sampleList&scheduledCryoPreservationJob.id=0&strawSystem=true&freezeDownPageRefer=" title="Delete this Freeze Down Sample">
								<img src="images/mouse_tracking/delete.gif" title="Cancel Straw">
							</a>
							&nbsp;&nbsp;
								<input onclick="document.location='edit_freeze_down_sample.do?freezeDownSample.id=${straw.sampleId}&scheduledCryoPreservationJob.id=${straw.scpId}&cryoRequestId=${straw.requestId}&refer=sampleList#edit'" type='button' value='edit' class='smallButton' onMouseOver="this.className='smallButtonYellow';" onMouseOut="this.className='smallButton';" style="width:40px;" />&nbsp;
								<!-- <input onclick="document.location='thaw_straw.do?id=${straw.id}'" type='button' value='thaw' class='smallButton' onMouseOver="this.className='smallButtonYellow';" onMouseOut="this.className='smallButton';" style="width:40px;" />&nbsp;-->
							</td>
							<td>${straw.strawId}</td>
							<td>${straw.requestId}</td>
							<td>${straw.colonyName}</td>
							<td><fmt:formatDate value="${straw.freezeDownDate}" pattern="dd-MMM-yyyy"/></td>
							<td>${straw.embryoCount}</td>
							<td>${straw.embryoGrade}</td>
							<td>${straw.freezerName}</td>
							<td>${straw.canisterName}</td>
							<td>${straw.gobletName}</td>
							<td>${straw.wedgeColour}</td>
							<td>${straw.technician}</td>
						</tr>
					</c:forEach>
			</table>
		</c:if>
		</div>
		</form:form>
		</gui:page>
	</body>
</html>