<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<gui:docType />
<html>
	<head>
		<title>Cryo Request Status Change</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<script type="text/javascript">
			function setHeaderColour() {
				document.getElementById('cryoRequestHeader').style.background = '#f5f5dc';//#e7edf3
			}
		</script>
	</head>
	<body onload="setHeaderColour()">
		<gui:page>
			<gui:pageHeader name="Cryo Request #${cryoRequest.id} - <span style='font-size:16px;color:#656565;font-weight:bold;text-transform:uppercase;'>${cryoRequest.statusDict.name}</span> " />
			<gui:mig-box height="120px">
				<table style='background:#fff; vertical-align:middle;width:100%; padding:10px 6px 10px 6px; height:100%; text-align:center;'>
					<tr>
						<td style='color:#990000;fonr-weight:bold;font-size:18px;'>
							This Cryo Request status has been changed 
							to <span style='font-size:16px;color:#656565;font-weight:bold;text-transform:uppercase;'>
							 ${cryoRequest.statusDict.name}</span>.
							<br />
				
							<gui:link-button style='width:160px;margin-top:10px;' 
									onclick="document.location='view_one_cryo_request.do?id=${cryoRequest.id}&showSampleList=true?';" 
									text="Return to Cryo Request #${cryoRequest.id}" mouseOverColor="yellow"  />	
						</td>
					</tr>
				</table>
			</gui:mig-box>
		</gui:page>
	</body>
</html>