<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Design Annotation Request</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader 
				name="Design Request #${model.designRequest.id}"
				nameWidth="400px"
				middle="Status: ${model.designRequest.status.name}" />
			<form:form commandName="form">

			<gui:mig-box>
				<table class="migBoxInner">
					<tr>
						<td class="viewLabel" width="150px">Status:</td>
						<td class="viewData">${model.designRequest.status.name}</td>
					</tr>
					<tr valign="top">
						<td class="viewLabelT">Comments:</td>
						<td class="viewData">${model.designRequest.comments}</td>
					</tr>				
					<tr>
						<td class="viewLabel">Created By:</td>
						<td class="viewData">${model.designRequest.creator.firstName}</td>
					</tr>
					<tr>
						<td class="viewLabel">Date Request Made:</td>
						<td class="viewData"><fmt:formatDate value="${model.designRequest.createdDate}" pattern="dd-MMM-yyyy"/></td>
					</tr>
					<tr>
						<td class="viewLabel">Last Updated:</td>
						<td class="viewData">${model.designRequest.editedBy}, <fmt:formatDate value="${model.designRequest.editDate}" pattern="dd-MMM-yyyy"/></td>
					</tr>												
				</table>
			</gui:mig-box>
			</form:form>
		</gui:page>
	</body>
</html>
