<%@ page isErrorPage="true"%>
<%@ page import="java.io.PrintWriter" %>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="mailer" prefix="mt"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<gui:docType />
<html>
	<head>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<gui:page>
		<gui:pageHeader name="Software Error" showBackUrl="false" />
		<gui:mig-box label="An unexpected error has occurred">
			We are sorry ${user.firstName} but an unexpected error has occurred and this action cannot be completed.
			<br />
			<br />
			An email has been sent to Team 110 indicating the nature of the problem and they will investigate this as soon as possible.
			<br />
			<br />
			<button onclick="history.back();">Click  here</button> to return to previous page.
		</gui:mig-box>
	</gui:page>
</html>

<mt:mail server="mail.sanger.ac.uk" to="team110dev@sanger.ac.uk" from="team110dev@sanger.ac.uk">
	<mt:subject>500 Error caught in MGC (<%=request.getServerName()%>)</mt:subject>
	<mt:message type="html">
	
<body style="font-family:arial; font-size: 12px;">

<b style='color:#990000; font-size: 12px;'>
<c:choose>
	<c:when test="${!empty user}">
	    ${user.fullName}
		<br>${user.email}
		<c:forEach var="role" items="${user.roles}">
			<br>${role.key}
		
		</c:forEach>
	</c:when>
	<c:otherwise>
		null user
	</c:otherwise>
</c:choose>
</b>
<br>
<%

%>
<br>
<b>Header Info:</b>
<div style="font-family:arial">


<% 
out.println(
request.getMethod() + " " +
request.getAttribute( "javax.servlet.error.request_uri" ) + "?"+
request.getAttribute( "javax.servlet.forward.query_string" )+"" );
java.util.Enumeration names = request.getHeaderNames();
while (names.hasMoreElements()) {
    String name = (String)names.nextElement();
    out.println("<br>"+name+": "+request.getHeader(name));
}




 %>
 
 
</div>
<br>
<b>Parameters:</b>
<br>
<jsp:useBean id="paramClone" class="java.util.TreeMap"/>
<c:forEach items="${paramValues}" var="paramEntry">
  <c:set target="${paramClone}" property="${paramEntry.key}" value="${paramEntry.value}" />
</c:forEach>
    <c:set var="password" value="password1"/>
    
    <c:if test="${empty paramClone}">
		<br>
		none 
	
	</c:if>
    
    
    <table border="1" cellpadding=1 cellspacing=0>



      <tbody>
        <c:forEach items="${paramClone}" var="paramEntry">
          <tr>
            <td style="font-family:arial;font-size: 12px;">
              <c:out value="${paramEntry.key}" />
            </td>
            <td />
          </tr>

          <c:forEach items="${paramEntry.value}" var="paramValue">
            <tr>
              <td />
              <td style="font-family:arial;font-size: 12px;">
                <c:choose>
                  <c:when test="${empty paramEntry.value}">
                    <em>Empty</em>
                  </c:when>
                  <c:when test='${paramEntry.key eq password}'>
                    <em>Password removed</em>
                  </c:when>
                  <c:otherwise>
                    <c:out value="${paramValue}" />
                  </c:otherwise>
                </c:choose>
              </td>
            </tr>
          </c:forEach>
        </c:forEach>
      </tbody>
    </table>
<br>

<pre style="font-family:arial; width: 800px; font-size:12px;" width=800>
<b>Stack Trace:</b>
<%exception.printStackTrace(new PrintWriter(out));%>
</pre>


</body>
</mt:message>
<mt:send />
</mt:mail>

