<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Slide Re-work Bins</title>
		<meta http-equiv="Content-Typ content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	

	</head>
	<body>
		<gui:page>
			<gui:pageHeader>
				Re-work Slides
			</gui:pageHeader>
			
			<gui:error-list commandName="form" />
						
			<form:form commandName="form" action="rework_slides.do" method="POST">	
			
			<span style="color:#aaa;font-size:22px;">To Re-Create Bin: ${recreationSlideCount} total</span>
			
			<c:if test="${recreationSlideCount > 0}">
			&nbsp;<input type="submit" value="recreate slides" 
								style="margin-bottom:2px;border:solid 1px #ddd;color:#777;margin-top:4px;background:#f1f1f1;"/>
			</c:if>
				<div style="overflow:auto; height:250px; border:1px solid #ddd;width:100%;">	
				 <c:choose>
					<c:when test="${!empty recreationSlides}">
						<table class="listNonPaginated">
							<thead class="listNonPaginatedHeader">
								<tr>
									<th align="center">
										Remove
									</th>
									
									<th>
										Genotype	
									</th>
									
									<th>
										Mouse		
									</th>
									<th>
										Block		
									</th>									
									<th>
										Slide	
									</th>


									
									<th>
										Staining	
									</th>
									
									<th>
										Technician		
									</th>
									
									<th>
										Sectioned		
									</th>

									<th>
										Comments		
									</th>
									<th>
										QC Failed?
									</th>
									<th>
									
										Select?
										
									</th>

								</tr>
							</thead>
							<c:forEach var="slide" items="${recreationSlides}" >
								<gui:toggle-row-class />
								<tr class="${rowClass}">
									<td align="center">
										<a href="rework_slides.do?deleteRecreate=true&formSubmission=true&removeSlideId=${slide.id}" title="Remove Slide from Re-creation Bin">
											<img src="images/delete.gif" />
										</a>
									</td>
									
									<td>
										<gui:mouseGenotype mouse="${slide.block.fixation.necropsy.mouse}" />
									</td>
									
									<td>
										${slide.block.fixation.necropsy.mouse.barcode}
									</td>
									
									<td>
										${slide.block}
									</td>
									
									<td>
										${slide.barcode}
									</td>


									
									<td>
										${slide.stainingTypeDict.name}
									</td>
									
									<td>
										${slide.creator.fullName}
									</td>
									
									<td>
										${slide.createdDate}
									</td>
			
									<td>
									
										<c:choose>
										<c:when test="${!empty slide.comments}">
											${slide.comments}
										</c:when>
										<c:otherwise>
											(none)
										</c:otherwise>
										</c:choose>
									</td>
									<td>
										<c:choose>
											<c:when test="${slide.statusDictId == 3}">
											<span style="color:red;">Yes</span>
											</c:when>
											<c:otherwise>
											No
											</c:otherwise>
										</c:choose>
									</td>			
									<td>
									
									
									<form:checkbox path="selectedSlideMap['${slide.id}']"/>
									
									
									</td>
			
								</tr>
							</c:forEach>
						</table>
						
			
				
					  </c:when>
					<c:otherwise>
					
						<BR/>
					
				
					</c:otherwise>
					</c:choose>
					
					</div>
					
					
					
					  
				
			</form:form>
			
			<br>
			<span style="color:#aaa;font-size:22px;font-wight:bold">To Re-Scan Bin: ${toScanSlideCount} total</span>
			&nbsp;
					<span style="color:blue;font-size:14px;margin-bottom:2px;">
					Slides will be removed from the Re-Scan Bin automatically the evening of the date they are scanned.
					</span>
			
			<div style="overflow:auto; height:250px; width:100%;border:1px solid #ddd;" >	
					 <c:choose>
					<c:when test="${!empty toScanSlides}">
						<table class="listNonPaginated">
							<thead class="listNonPaginatedHeader">
								<tr>
										<th align="center">
										Remove
									</th>
									<th>
										Genotype	
									</th>
									
									<th>
										Mouse		
									</th>
									<th>
										Block		
									</th>									
									<th>
										Slide	
									</th>
									
									<th>
										Staining	
									</th>
									
									<th>
										Technician		
									</th>
									
									<th>
										Sectioned		
									</th>

									<th>
										Comments		
									</th>
									<th>
										QC Failed?
									</th>
						
								</tr>
							</thead>
							<c:forEach var="slide" items="${toScanSlides}" >
								<gui:toggle-row-class />
								<tr class="${rowClass}">
										<td align="center">
										<a href="rework_slides.do?formSubmission=true&removeSlideId=${slide.id}&deleteRescan=true" title="Remove Slide from Re-Scan Bin">
											<img src="images/delete.gif" />
										</a>
									</td>			
									<td>
										<gui:mouseGenotype mouse="${slide.block.fixation.necropsy.mouse}" />
									</td>
									
									<td>
										${slide.block.fixation.necropsy.mouse.barcode}
									</td>
									
									<td>
										${slide.block}
									</td>
									
									<td>
										${slide.barcode}
									</td>
									
									<td>
										${slide.stainingTypeDict.name}
									</td>
									
									<td>
										${slide.creator.fullName}
									</td>
									
									<td>
										${slide.createdDate}
									</td>
			
									<td>
									
										<c:choose>
										<c:when test="${!empty slide.comments}">
											${slide.comments}
										</c:when>
										<c:otherwise>
											(none)
										</c:otherwise>
										</c:choose>
									</td>
									<td>
										<c:choose>
											<c:when test="${slide.statusDictId == 3}">
											<span style="color:red;">Yes</span>
											</c:when>
											<c:otherwise>
											No
											</c:otherwise>
										</c:choose>
									</td>			
							
			
								</tr>
							</c:forEach>
						</table>
					  </c:when>
					<c:otherwise>
					
						
					</c:otherwise>
					</c:choose>		
			
			</div>

		</gui:page>
	</body>
</html>
