<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="spring" prefix="spring"%>
<gui:docType />
<html>
	<head>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>
		<gui:pageHeader name="Select Mice for Histology" />
		<form:form commandName="form" method="get" action="view_histology_mice.do">
		    <br />
		    <gui:mig-box>
				<table class="migBoxInner">
					<thead class="listNonPaginatedHeader">
						<tr>
							<th>Cage/Mouse ID</th>
							<th>Personal Licence</th>
							<th>Project Licence</th>
						</tr>
					</thead>
					<tbody class="listNonPaginated">
						<tr valign="top">										
							<td>
								<input type="text" name="mouseID" />
								<img src="images/lookup.gif" title="Find Mouse" />
							</td>
							<td>
								<input type="text" name="personalLicence" />
								<img src="images/lookup.gif" title="Find Personal Licence" />
							</td>
							<td>
								<input type="text" name="projectLicence" />
								<img src="images/lookup.gif" title="Find Project Licence" />
							</td>
						</tr>
					</tbody>
				</table>
			</gui:mig-box>
		</form:form>
		</gui:page>
	</body>