<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<gui:docType />
<html>
	<head>
		<title>View Project Licence</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet" />
	</head>
	<body>
		<gui:page>
			<gui:pageHeader>
				${projectLicence.licenceNumber}
				${projectLicence.title}
			</gui:pageHeader>
			
			<gui:link-button text="add protocol" href="edit_protocol.do?projectLicenceId=${projectLicence.id}"/>
			<br /><br />
			<c:if test="${!empty projectLicence.protocols}">			
				<table class="listNonPaginated" width="100%">
					<thead class="listNonPaginatedHeader">
						<tr>
							<th>Options</th>
							<th>Protocol Code</th>										
							<th>Title</th>
							<th>Harmful Mutants</th>
						</tr>
					</thead>
					<c:forEach items="${projectLicence.protocols}" var="protocol">
						<gui:toggle-row-class />		
						<tr class="${rowClass}">
							<td>
								<control:accessControl roles="admin">
									<gui:link-button text="edit" href="edit_protocol.do?id=${protocol.id}&projectLicenceId=${projectLicence.id}"/>
								</control:accessControl>
							</td>
							<td>${protocol.protocolCode}</td>
							<td>${protocol.title}</td>
							<td>
								<gui:format-boolean booleanValue="${protocol.harmfulMutant}"/>
							</td>
						</tr>
					</c:forEach>
				</table>
			</c:if>
		</gui:page>
	</body>
</html>