<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="AccessControl.tld" prefix="a"%>
<gui:docType />
<a:accessControl roles="admin,mgp-admin">
	<html>
		<head>
			<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
			<link type="text/css" href="css/migMain.css" rel="stylesheet">
		</head>
		<body>
			<gui:page>
				<gui:pageHeader name="Current User Sessions" />
				<div class="listNonPaginated">
					<table width="100%">
						<tr>
							<td valign="top">
								<table class="listNonPaginated">
									<thead class="listPaginatedHeader">
										<tr>
											<th>User</th>
											<th>Session ID</th>
										</tr>
									</thead>
									<c:forEach items="${user_list}" var="user">
										<gui:toggle-row-class />
										<tr class="${rowClass}">
											<td>${user.value}</td>
											<td>${user.key}</td>
										</tr>
									</c:forEach>
								</table>
							</td>
						</tr>
					</table>
				</div>
			</gui:page>
		</body>
	</html>
</a:accessControl>


