<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="spring" prefix="spring"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>WTSI Mouse Database Login</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link rel="stylesheet" type="text/css" href="css/migMain.css">
		<link rel="stylesheet" type="text/css" href="css/thickbox.css">
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/thickbox.js"></script>
		<script type="text/javascript">
			function initPage() {
				if(document.forms[0].username1.value == "") {
					document.forms[0].username1.focus();
				}
				else {
					document.forms[0].password1.focus();
				}
			}
		</script>
	</head>

	<body onload="initPage()" style="padding: 0px 0px 0px 0px;">
		<table style="width: 100%; height: 100%;" cellpadding="0" cellspacing="0">
			<tr>
				<td colspan="3" style="height: 59px; background: transparent url(http://www.sanger.ac.uk/header-icons/swoosh/default.gif) no-repeat scroll left top; -moz-background-clip: -moz-initial; -moz-background-origin: -moz-initial; -moz-background-inline-policy: -moz-initial;">
				</td>
			</tr>
			<tr>
				<td colspan="3" style="height: 100px; vertical-align: top;">
					<div class="appTitle" style="padding: 2px 0px 0px 7px;">
						WTSI Mouse Database
					</div>
				</td>
			</tr>
			<tr>
				<td width="30%"></td>
				<td style="vertical-align: top;">
					<div class="migBox" style="background: transparent; position: absolute; Z-INDEX: 98; width: 500px;">
						<div class="migBoxHeading" style="background: transparent;">User Login</div>
							<form:form commandName="loginForm" action="login" method="post">
							<table class="migBox">
								<tr>
									<td class="migBox">
										<table class="migBoxInner" style="padding: 20px 0px 20px 0px;">
											<tr>
												<td class="entryLabel">
													Username
												</td>
												<td class="entryData">
													<form:input path="username1" autocomplete="off" cssStyle="border:1px solid #777" />
												</td>
											</tr>
											<tr>
												<td class="entryLabel">
													Password
												</td>
												<td class="entryData">
													<form:password path="password1" autocomplete="off" cssStyle="border:1px solid #777" />
												</td>
											</tr>
											<tr>
												<td colspan=2 align="center">
													<br /><input type="submit" value="login" class="smallButton" onMouseOver="this.className='smallButtonYellow'" onMouseOut="this.className='smallButton'">
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
							<c:if test="${!empty version}">
								<div align="right">
									<b>Application Version: ${version.name}<br /></b>
									<c:if test="${!empty newFeatures}">
										<a href="#TB_inline?height=600&width=600&inlineId=newFeatures" class="thickbox">What's new?</a>
									</c:if>
								</div>
								<div>
									<center class="form_error">
										<spring:hasBindErrors name="loginForm">
											<table>
												<tr>
													<td class="formError">
													<c:forEach items="${errors.allErrors}" var="error">
														<spring:message text="${error.defaultMessage}" />
													</c:forEach>
													</td>
												</tr>
											</table>
										</spring:hasBindErrors>
									</center>
								</div>
							</c:if>
							</form:form>
						</div>
						<div class="migBox" style="position: absolute; Z-INDEX: 99; width: 500px; top: 400px;">
							<c:if test="${!empty serverAlerts}">
								<br />
								<br />
								<br />
									<div class="caption" style="width: 500px; border: 1px">
									<c:forEach items="${serverAlerts}" var="alert">
										<div class="migBox" style="background: transparent; position: absolute; Z-INDEX: 98; width: 500px;">
											<div class="migBoxHeading" style="background: transparent;">${alert.name}</div>
												<table class="migBox">
													<tr>
														<td class="migBox">
															<table class="migBoxInner">
																<tr>
																	<td class="formError">
																		<font size="+2">
																			${alert.description}
																		</font>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
												</table>
											</div>
										</div>
									</c:forEach>

									 <div class="formError">
											<c:choose>
											<c:when test="${quartzRunning}">

											</c:when>
											<c:otherwise>
												Quartz Scheduler is NOT running.
											</c:otherwise>
											</c:choose>
									 </div>

									</div>
								</center>
							</c:if>

						</div>
					</div>
				</td>
			</tr>
		</table>

		<div id="newFeatures" style="display: none; position: absolute;">
			<gui:pageHeader showBackUrl="false">New Features in Version ${version.name}</gui:pageHeader>
			<gui:mig-box>
				<table class="migBoxInner">
					<thead class="listNonPaginatedHeader">
						<tr>
							<th>Module</th>
							<th>Feature</th>
						</tr>
					</thead>
					<tbody class="listNonPaginated">
						<gui:toggle-row-reset/>
						<c:forEach items="${newFeatures}" var="newFeature">
							<gui:toggle-row-class/>
							<tr class="${rowClass}">
								<td><c:out value="${newFeature.name}" /></td>
								<td><c:out value="${newFeature.description}" /></td>
							</tr>
						</c:forEach>
					</tbody>
				</table>
			</gui:mig-box>
		</div>
	</body>
</html>
