<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fn" prefix="fn" %>
<gui:docType />
<html>
	<head>
		<title>Select an option</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script src="js/lookupListPopup.js"></script>
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>	
	</head>
	<body class="migBody" onload="initFilterList()">
		<div style="text-align: center;">
			<br/>
		    <%-- Call tb_remove, as we're using a thickbox iframe instead of a window--%>
		    <input class="button" type="button" value="Close Window" onclick="closeTb(this)" />
	
			<script type="text/javascript">	
			if(hasBackPage()) {
				document.writeln("<input class='button' type='button' ");
				document.writeln("value='Search Again' onClick='Javascript:history.back()'>");
				document.writeln("&nbsp; &nbsp;");
			}
			</script>	
		</div>
		
		<div align="center" style="color: #004869; margin:6px 0px 6px 0px;">
			Please click on an item to select it or filter by keyword:
			<input type="text" id="filterText" onkeyup="filterList()" />
		</div>
			
		<div align="center" style="width: 100%;">
			
			<gui:alphabet-link collection="${model}"/>
		
			<div class="migBoxOverflow" id="lookupList" style="text-align: center; height: 290px; width: 99%; border: 1px solid black; overflow-x: hidden;">
				<form>
					<table id="lookupListTable" class="migBoxInner" style="border: 0px" cellspacing="0">
						<tbody id="lookupListTBody">
							<c:set var="rowId" value="0" />
							<c:forEach items="${model}" var="option">
								<c:set var="rowId" value="${rowId+1}" />
								<tr id="${rowId}" onMouseOver="rowHighlight(this)" onMouseOut="rowLowlight(this)" onClick="processSelection('${rowId}')">
									<%-- DON'T ADD TO THE BELOW 'TD' as the innerHTML is being used in a filtering function --%>
									<td style="font-size: 10pt;"><gui:escape-html text="${option.displayText}" /></td>							
									<td><a name="${fn:toUpperCase(fn:substring(option.displayText,0,1))}"></a><input type="hidden" id="elementData${rowId}" value="<gui:escape-html text='${option.elementData}' />" /><input type="hidden" id="displayText${rowId}" value="<gui:escape-html text='${option.displayText}' />" /></td>
								</tr>
							</c:forEach>
						</tbody>
					</table>
				</form>
			</div>
		</div>
	</body>
</html>
