<%@ page import="java.util.Date"%>
<%@ taglib uri="AccessControl.tld" prefix="control"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
	<head>
		<title>Main Menu</title>
		<meta http-equiv="Content-Type"
			content="text/html; charset=iso-8859-1">
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
	</head>
	<body>
		<gui:page>



			<div width="100%">
				<table height="100%" width="100%">
					<tr>
						<control:accessControl
							roles="admin,mgp-admin,team110,mgp,mgwg,faculty,mouse-user,senior-mouse-user,guest,havana-admin,team87,team87-admin,senior-tgx,junior-tgx,norcomm,mts-user,cryo-admin">
							<td class="menuItem" valign="top">
								Genes
								<ul class="menuItem" style="list-style-image: url(images/wtsiBullet.jpg)">
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a href="miggene_search.do">Search</a>
									</li>
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem"
											href="miggene_search.do?bypassForm=true&migGeneSetId=121&newQuery=true">Core
											Gene List - 2006</a>
									</li>
									<control:accessControl roles="admin,mgp-admin">
										<li class="menuItem"
											onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
											onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
											<a class="menuItem" href="import_miggene_set.do">Import
												Gene Set</a>
										</li>
									</control:accessControl>
									<control:accessControl hideHtml="true" roles="norcomm">
										<li class="menuItem"
											onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
											onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
											<a class="menuItem"
												href="list_miggene_sets.do?bypassForm=true&newQuery=true">
												All Gene Sets</a>
										</li>
									</control:accessControl>
									<control:accessControl hideHtml="true" roles="norcomm">
										<c:choose>
											<c:when test="${!empty sessionScope.migGeneSetId}">
												<li class="menuItem"
													onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
													onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
													<a class="menuItem"
														href="miggene_search.do?bypassForm=true&migGeneSetId=${sessionScope.migGeneSetId}&newQuery=true">View
														Selected Set</a>
												</li>
											</c:when>
											<c:otherwise>
												<li>
													View Selected Set
												</li>
											</c:otherwise>
										</c:choose>
									</control:accessControl>
								</ul>
								Allele Requests
								<ul class="menuItem" style="list-style-image: url(images/wtsiBullet.jpg)">
									<control:accessControl
										roles="admin,mgp-admin,havana-admin,team87,team87-admin,faculty,norcomm">
										<li class="menuItem"
											onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
											onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
											<a href="edit_allele_request.do">Enter Allele Request</a>
										</li>
									</control:accessControl>
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem"
											href="list_allele_requests.do?bypassForm=true&amp;newQuery=true&amp;paginated=true&amp;orderBy=ID">
											List Allele Requests</a>
									</li>
								</ul>
								<control:accessControl roles="admin,mgp-admin,havana-admin,team87,team87-admin,norcomm">
								Havana Annotation Requests
								<ul class="menuItem" style="list-style-image: url(images/wtsiBullet.jpg)">
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem"
											href="list_havana_requests.do?bypassForm=true&amp;havanaRequest.statusDictId=2&amp;newQuery=true&amp;paginated=true&amp;orderBy=id">
											List Annotation Requests</a>
									</li>
								</ul>
								</control:accessControl>
								<control:accessControl roles="admin,team110,mgp-admin,senior-mouse-user,team87-admin,senior-tgx,junior-tgx,mi-list-reader">
								Microinjections
								<ul class="menuItem" style="list-style-image: url(images/wtsiBullet.jpg)">
									<control:accessControl roles="admin,team110,mgp-admin,senior-mouse-user,team87-admin,senior-tgx,junior-tgx">
										<li class="menuItem"
											onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
											onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
											<a class="menuItem" href="edit_mi_request.do">Enter New
												Microinjection Request</a>
										</li>
									</control:accessControl>
										<li class="menuItem">
											<a class="menuItem"
												href="list_mi_requests.do?bypassForm=true&newQuery=true&orderBy=id&amp;orderDesc=true">List
												Microinjection Requests</a>
										</li>
									<control:accessControl roles="admin,mgp-admin,senior-tgx,junior-tgx,mi-list-reader">
										<li class="menuItem"
											onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
											onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
											<c:set var="today" value="<%=new Date()%>" />
											<a class="menuItem"
												href="list_scheduled_micro_injections.do?bypassForm=true&newQuery=true&customFilterId=0&orderBy=target_schedule_date&defaultDateRange=true">Scheduled
												Microinjections</a>
										</li>
									</control:accessControl>
								</ul>
								</control:accessControl>

								<control:accessControl roles="admin,team110,mgp-admin,senior-mouse-user,mouse-user,team87,team87-admin">
								ES Cells
								<ul class="menuItem" style="list-style-image: url(images/wtsiBullet.jpg)">
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="edit_cell_line.do">Enter New
											Cell Line</a>
									</li>
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem"
											href="list_cell_lines.do?bypassForm=true&amp;newQuery=true&amp;paginated=true&amp;orderBy=id">List
											Cell Lines</a>
									</li>
								</ul>
								</control:accessControl>

								<control:accessControl roles="admin,team110,mgp-admin,senior-mouse-user,mouse-user,senior-tgx,junior-tgx,cryo-admin">
								Cryo Preservation
								<ul class="menuItem" style="list-style-image: url(images/wtsiBullet.jpg)">
									<control:accessControl
										roles="admin,team110,mgp-admin,senior-mouse-user,senior-tgx,cryo-admin">
										<li class="menuItem"
											onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
											onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
											<a class="menuItem" href="edit_cryo_request.do"> Enter
												Cryo Preservation Request</a>
										</li>
									</control:accessControl>
									<control:accessControl
										roles="admin,team110,mgp-admin,senior-mouse-user,mouse-user,senior-tgx,junior-tgx,cryo-admin">
										<li class="menuItem"
											onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
											onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
											<a class="menuItem"
												href="list_cryo_requests.do?bypassForm=true&amp;newQuery=true&amp;cryoRequest.statusDictId=&amp;paginated=true&amp;orderBy=ID&amp;orderDesc=true">
												List Cryo Preservation Requests</a>
										</li>
									</control:accessControl>
									<control:accessControl
										roles="admin,mgp-admin,senior-tgx,junior-tgx,cryo-admin">
										<li class="menuItem">
											<a class="menuItem"
												href="list_scheduled_cryo.do?newQuery=true&bypassForm=true&firstAccess=true&orderBy=TARGET_SCHEDULED_DATE">
												Scheduled Cryo Preservations</a>
										</li>
									</control:accessControl>
									<control:accessControl
										roles="admin,mgp-admin,senior-tgx,junior-tgx,cryo-admin">
										<li class="menuItem">
											<a class="menuItem" href="simple_search_samples.do">
												Sample Quick Search</a>
										</li>
									</control:accessControl>
								</ul>
								</control:accessControl>

								<control:accessControl roles="admin,mgp-admin">
				                SOPs
				                <ul class="menuItem" style="list-style-image: url(images/wtsiBullet.jpg)">
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="list_sops.do?bypassForm=true">List
											Standard Operating Procedures</a>
									</li>
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem"
											href="list_observation_types.do?bypassForm=true">List
											Observation Types</a>
									</li>
								</ul>
								</control:accessControl>

							<control:accessControl roles="admin,mgp-admin,microscopy-annototator">
								Microscopy &amp; Imaging
							    <ul class="menuItem" style="list-style-image: url(images/wtsiBullet.jpg)">
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="list_meta_data.do">
											Annotate</a>
									</li>
								</ul>
							</control:accessControl>

							</td>
							<td class="menuItem" valign="top">
								<control:accessControl hideHtml="true" roles="norcomm">
								Designs
								<ul class="menuItem" style="list-style-image: url(images/wtsiBullet.jpg)">
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem"
											href="list_design_requests.do?bypassForm=true&amp;designRequest.statusDictId=21&amp;newQuery=true&amp;paginated=true&amp;orderBy=id">
											List Design Requests</a>
									</li>
								</ul>
								</control:accessControl>

								<control:accessControl roles="admin,mgp-admin">
								Vector
								<ul class="menuItem" style="list-style-image: url(images/wtsiBullet.jpg)">
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem"
											href="list_intermediate_vectors.do?bypassForm=true&amp;newQuery=true&amp;paginated=true&amp;orderBy=id">
											List Intermediate Vectors</a>
									</li>
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem"
											href="list_targeting_vectors.do?bypassForm=true&amp;newQuery=true&amp;paginated=true&amp;orderBy=id">
											List Targeting Vectors</a>
									</li>
								</ul>
								</control:accessControl>

								<control:accessControl hideHtml="true" roles="norcomm">
								Alleles
								<ul class="menuItem" style="list-style-image: url(images/wtsiBullet.jpg)">
									<control:accessControl
										roles="admin,mgp-admin,havana-admin,team87,team87-admin,allele-maker">
										<li class="menuItem"
											onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
											onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
											<a class="menuItem" href="edit_allele_info.do"> Enter
												Modified Allele</a>
										</li>
									</control:accessControl>
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem"
											href="list_allele_info.do?bypassForm=true&newQuery=true&paginated=true">
											List Modified Alleles</a>
									</li>
								</ul>
								</control:accessControl>

								<control:accessControl roles="faculty,mgwg,admin,team110,mgp-admin,senior-mouse-user,mouse-user">
								Colonies
								<ul class="menuItem" style="list-style-image: url(images/wtsiBullet.jpg)">
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="edit_colony_info.do"> Enter
											Colony Information</a>
									</li>
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem"
											href="list_colony_infos.do?bypassForm=true&newQuery=true&orderBy=colony_prefix">
											List Colony Information Sheets</a>
									</li>
								</ul>
								</control:accessControl>

								<control:accessControl roles="admin,team110,mgp-admin,senior-mouse-user,mouse-user, senior-tgx, mts-user">
								Mice
								<ul class="menuItem" style="list-style-image: url(images/wtsiBullet.jpg)">
									<control:accessControl
										roles="admin,team110,mgp-admin,senior-mouse-user,senior-tgx,mts-user">
										<li class="menuItem"
											onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
											onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
											<a class="menuItem" href="edit_animal_request.do"> Enter
												Wildtype Request </a>
										</li>
									</control:accessControl>

									<control:accessControl roles="admin,team110,mgp-admin,senior-mouse-user,mouse-user,senior-tgx">
										<li class="menuItem"
											onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
											onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
											<a class="menuItem"
												href="list_animal_requests.do?newQuery=true&amp;orderBy=ID&amp;orderDesc=true&amp;bypassForm=true&amp;animalRequest.statusDictId=1">
												List Wildtype Requests </a>
										</li>
									</control:accessControl>

									<control:accessControl roles="admin,mgp-admin,mts-user,senior-tgx">
										<li class="menuItem"
											onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
											onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
											<a class="menuItem" href="open_mouse_tracking_frameset.do">
												Mouse Tracking</a>
										</li>
										<li class="menuItem"
											onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
											onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
											<a class="menuItem" href="custom_query_list.do">
												Reports</a>
										</li>
									</control:accessControl>
								</ul>
								</control:accessControl>

								<control:accessControl roles="admin,mgp-admin">
								Admin
								<ul class="menuItem" style="list-style-image: url(images/wtsiBullet.jpg)">
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="list_users.do"> Current User
											Sessions</a>
									</li>
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem"
											href="setup_custom_query.do?name=userAccounts&allRecords=true">
											List User Accounts</a>
									</li>
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="edit_person.do"> Add New
											Account</a>
									</li>
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="manage_quartz_jobs.do"> Manage
											Quartz Jobs</a>
									</li>
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="list_project_licences.do"> View
											Project Licences </a>
									</li>
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="view_procedure_mappings.do">
											View Procedure/19b Mappings </a>
									</li>
									<li class="menuItem" onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';" onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="list_printers.do?bypassForm=true&newQuery=true&orderBy=id&orderDesc=true"> List Printers </a>
									</li>

									<li class="menuItem" onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';" onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="edit_printer.do"> Add Printer </a>
									</li>


								</ul>
								</control:accessControl>

								<control:accessControl roles="admin,mgp-admin,histology">
								Histology
							    <ul class="menuItem" style="list-style-image: url(images/wtsiBullet.jpg)">
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="edit_histology_necropsy.do">
											Enter Necropsy</a>
									</li>

									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="edit_cassettes.do"> Print
											Cassettes</a>
									</li>

									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="sweep_scans.do"> Sweep Scans</a>
									</li>

									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="show_crop_job_page.do">
										Select Regions</a>
									</li>

									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="rework_slides.do">
											Re-work Slides</a>
									</li>
									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="crop_search.do?bypassForm=true&paginated=true">
											Browse Regions</a>
									</li>

									<li class="menuItem"
										onMouseOver="this.style.listStyleImage = 'url(images/wtsiBulletOn.jpg)';"
										onMouseOut="this.style.listStyleImage = 'url(images/wtsiBullet.jpg)';">
										<a class="menuItem" href="setup_custom_query.do?name=histologyMiceWorkReport">
											Work Report</a>

									</li>

								</ul>
								</control:accessControl>
							</td>
						</control:accessControl>
					</tr>
				</table>
			</div>
		</gui:page>
	</body>
</html>
