<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="cqi" prefix="cqi"%>
<gui:docType />
<html>
	<head>
		<title>View Cage</title>
		<link type="text/css" href="css/migMain.css" rel="stylesheet">
		<link type="text/css" href="css/thickbox.css" rel="stylesheet">
		<script src="js/jquery.js"></script>
		<script src="js/thickbox.js"></script>
		<script type="text/javascript" src="js/mouse_tracking/printLabels.js"></script>
		<script type="text/javascript" src="js/delete.js"></script>
	</head>
	<body>
		<gui:page>
			<c:choose>
				<c:when test="${!empty cage.id}">
				<gui:pageHeader right="${cage.rack.barcode}&nbsp;${cage.barcode}">
					<c:out value="${cage.rack.room.roomNumber}" />&nbsp;
					<c:if test="${!empty cage.rack.name}">
						Rack <c:out value="${cage.rack.name}" />&nbsp;
					</c:if>
					(<c:out value="${cage.cageType.description}" />)
				</gui:pageHeader>
				<br />
				</c:when>
				<c:otherwise>
					<gui:pageHeader name="Historic (${cage.cageType.description})" />
				</c:otherwise>
			</c:choose>
			<table width="99%" align="center">
				<tr valign="top">
					<td width="70%">
						<gui:cage cage="${cage}"></gui:cage>
					</td>
					<td>
						<gui:cageTasks cage="${cage}" breedings="${colonyBreedings}"></gui:cageTasks>
					</td>
				</tr>
				<c:if test="${!empty litter}">
					<tr>
						<td colspan="2">
							<gui:mig-box-label>
								<c:out value="${litter.litterName}" />&nbsp;
								<a class="thickbox" href="edit_custom_query_column_preferences.do?uniqueName=litterDetail&_dummy=false&TB_iframe=true&KeepThis=true&height=600&width=700"><input type="button" class="smallButton" value="Column Prefs"/></a>
							</gui:mig-box-label>
							<gui:mig-box>
								<cqi:customListView customQuery="${litterDetail}">
									<cqi:customListViewHeader />
									<cqi:customListViewBody />
								</cqi:customListView>
							</gui:mig-box>
						</td>
					</tr>
				</c:if>
			</table>
		</gui:page>
	</body>
</html>
