<%
response.setHeader("Cache-Control","no-cache");
response.setHeader("Pragma","no-cache");
response.setDateHeader ("Expires", 0);
%>
<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ page import="uk.ac.sanger.mig.pubmedsorter.Article" %>
<%@ page import="uk.ac.sanger.mig.pubmedsorter.Author" %>
<%@ taglib uri="AccessControl.tld" prefix="control" %>
<%@ taglib uri="gui" prefix="gui"%>
<jsp:useBean id="user" class="uk.ac.sanger.mig.personnel.Person" scope="session" />
<jsp:useBean id="pubmedsearch" class="uk.ac.sanger.mig.pubmedsorter.PubmedSearchEngine" scope="session"/>
<gui:docType />
<html>
	<head><!--version 5.1-->
		<title>WTSI PubMed Search Results</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link rel="stylesheet" type="text/css" href="css/migMain.css">
	</head>
	<body>
		<gui:page>
			<gui:pageHeader name="PubMed Search Results" />
				<div class="category">
					<% int pageNumber = (Integer)session.getAttribute("page"); %>
					<% List<String> articlesSelected = (List<String>)session.getAttribute("selected"); %>
					<form name="myform" action="pubmed_articles_display.do" method="post">
						<%
						//Similar to above, next section is just to work out which number to display as the upper limit of the number of articles on the page, 
						//it may be 20 on the second page, for example if there are more than 20 articles, or it may be 17 if there are only 17 articles
						int articleLimit = 0;
						
						int articles = (pubmedsearch.getPubmedIds().size())-(10*pageNumber);
						
						if (articles > 10) {
							articleLimit = 10*(pageNumber+1);
						}
						else{
							articleLimit = articles+10*pageNumber;
						}
						
						if(articles > 1){
						%>
						<div class="submitButtons" style="margin-bottom: 10px">
							<%if(pageNumber > 0){%>
							<input type="submit" value="<< Back" name="action">
							<% } else { %>
							<input type="submit" value="<< Back" name="action" disabled>
							<%
							}
							if(pageNumber < 4  && pubmedsearch.getPubmedIds().size() > (9*(pageNumber + 1) + (pageNumber + 1))){
							%>
							<input type=submit value="Forward >>" name="action">
							<% } else { %>
							<input type=submit value="Forward >>" name="action" disabled>
							<% } %>
							<input type="submit" value="Back to PubMed search results" name="action">
							<input type="submit" value="Finish browsing" name="action">
						</div>
						<%}%>
						<table width="100%">
							<tr>
								<td>
									<div id="collapseBANNER">
										<div class="listRecordsNumber">PubMed Search Results: Articles <%= 10*(pageNumber) + 1 %> to 
											<% 
								          	//Next section is just to work out which number to display as the upper limit of the number of articles on the page, it may 
								          	//be 20 on the second page, for example if there are more than 20 articles, or it may be 17 if there are only 17 articles
								          	if((9*(pageNumber + 1) + (pageNumber + 1)) < pubmedsearch.getPubmedIds().size()){
								          		out.println("" + (9*(pageNumber + 1) + (pageNumber + 1)) + "");
								          	}else{
								          		out.println("" + pubmedsearch.getPubmedIds().size() + "");
								          	}
								          	%>of <%=pubmedsearch.getPubmedIds().size()%>
										</div>
									</div>
								</td>
							</tr>
							<%
							
							
							//j = 10*(pageNumber) works out first artcile to start with.  If it's the first page then pageNumber == 0 and j == 0,
							//if it's the second page pageNumber == 1 and j == 10.
							for(int j = 10*(pageNumber); j < articleLimit; j++){
							%>
							
							<tr>
								<td>
									<gui:mig-box>
										<table class="migBoxInner" valign="top">
											<tr>
												<td valign="top">
													<table border="0" cellpadding="6">
														<%
														out.println("<tr><td class=\"pubmedSearchJournal\">");
														//Article article = pubmedsearch.getArticles().get(j);
														Article article = pubmedsearch.getArticle(pubmedsearch.getPubmedIds().get(j));
														int index = j+1;
														out.println(index+": "+article.getJournalTitle());
														if(article.getYear() != 0){
															out.println(article.getYear());
														}
														if(article.getMonth() != null){
															out.println(article.getMonth());
														}
														if(article.getDay() != 0){
															out.println(article.getDay());
														}
														if(article.getVolume()!=null){
														 	out.println(";"+article.getVolume());
														}
														if(article.getIssue()!=null){
															out.println("("+article.getIssue()+")");
														}
														if(article.getPages()!=null){
															out.println(":"+article.getPages()+".");
														}
														out.println("<br /></td></tr><tr><td class=\"pubmedSearchTitle\">"+article.getArticleTitle()+"<br /></td></tr>");
														out.println("<tr><td class=\"pubmedSearchAuthor\">");
														List<Author> authors = (List<Author>)article.getAuthors();
														if(authors.size()!=0){
															Author author = authors.get(0);
															out.println(author.getLastname()+" "+author.getInitials());
															if(authors.size()==1){
																out.println(".");
															}else{
																int i;
																for(i=1;i<authors.size()-1;i++){
															 		author = authors.get(i);
															 		out.println(", "+author.getLastname()+" "+author.getInitials());
																}
																author = authors.get(i);
																out.println(", "+author.getLastname()+" "+author.getInitials()+".");
															}
														}
														out.println("</td></tr>");
														if(article.getAffiliation()!=null){
															out.println("<tr><td class=\"pubmedSearchAffiliation\">"+article.getAffiliation()+"</td></tr>");
														}
												
														if (article.getAbstractText() != null) {
															out.println("<tr><td class=\"pubmedSearchpubmedSearchAbstract\">"+article.getAbstractText()+"</td></tr>");
														}
														else {
															out.println("<tr><td>"+"no abstract"+"</td></tr>");
														}
														
														out.println("<tr><td class=\"pubmedSearchPMID\">PMID: ");
														out.println("<a target=\"_blank\" href=\"http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?cmd=search&amp;term="+article.getPubmedId()+"&amp;db=pubmed\" target=\"_blank\">");
														out.println(article.getPubmedId()+"</a> [PubMed - in process]</td></tr>");
														//out.println("<tr><td>PMID: "+article.getPubmedId()+"[PubMed - in process]</td></tr><br /><br />");
														%>
													</table>
												</td>
												<td valign="top">
													<table cellpadding="6" align="right">
														<control:accessControl roles="admin,mgp_admin">
													<%
														if(!articlesSelected.contains(article.getPubmedId())){
													%>
														<tr>
															<td>
																Save article&nbsp;<input type="checkbox" name="Checkbox<%=article.getPubmedId()%>" value="selected" onclick="setInput<%=article.getPubmedId()%>()">
															</td>
														</tr>
														<tr>
															<td>
																Score:&nbsp;<input type="text" style="background-Color: whitesmoke;" size="8" name="Score<%=article.getPubmedId()%>" readonly></input>
															</td>
														</tr>
														<tr>
															<td>
																Additional notes:
															</td>
														</tr>
														<tr>
															<td>
																<textarea name="TextArea<%=article.getPubmedId()%>" style="background-Color: whitesmoke;" rows="12" cols="50" readonly="true"></textarea>
															</td>
														</tr>
													<%	    
													    }
													    else if(articlesSelected.contains(article.getPubmedId())){
													%>
													  	<tr>
													  		<td>
													  			Save article&nbsp;<input type="checkbox" name="Checkbox<%=article.getPubmedId()%>" value="selected" onclick="setInput<%=article.getPubmedId()%>()" checked="true">
															</td>
														</tr>
														<tr>
															<td>
																Score:&nbsp;<input type="text" size="8" name="Score<%=article.getPubmedId()%>" value="<%=article.getScore()%>"></input>
															</td>
														</tr>
														<tr>
															<td>
																Additional notes:
															</td>
														</tr>
														<tr>
															<td>
																<textarea name="TextArea<%=article.getPubmedId()%>" rows="18" cols="50"><%=article.getNotes()%></textarea>
															</td>
														</tr>
														<%}%>
													   	<script language="JavaScript">
													   	function setInput<%=article.getPubmedId()%>()
														{
														if(document.forms["myform"].elements["Checkbox<%=article.getPubmedId()%>"].checked)
														{
														document.forms["myform"].elements["Score<%=article.getPubmedId()%>"].readOnly=false
														document.forms["myform"].elements["Score<%=article.getPubmedId()%>"].style.backgroundColor="";
														document.forms["myform"].elements["TextArea<%=article.getPubmedId()%>"].readOnly=false
														document.forms["myform"].elements["TextArea<%=article.getPubmedId()%>"].style.backgroundColor="";
														}else{
														document.forms["myform"].elements["Score<%=article.getPubmedId()%>"].style.backgroundColor="whitesmoke";
														document.forms["myform"].elements["Score<%=article.getPubmedId()%>"].readOnly=true
														document.forms["myform"].elements["Score<%=article.getPubmedId()%>"].value=""
														document.forms["myform"].elements["TextArea<%=article.getPubmedId()%>"].style.backgroundColor="whitesmoke";
														document.forms["myform"].elements["TextArea<%=article.getPubmedId()%>"].readOnly=true
														document.forms["myform"].elements["TextArea<%=article.getPubmedId()%>"].value=""
														}
														}
													   	</script>
														</control:accessControl>
													</table>
												</td>
											</tr>
										</table>
									</gui:mig-box>
								</td>
							</tr>
							<%}%>
						</table>
						<div class="submitButtons">
							<%
							if(pageNumber > 0){
							%>
							<input type="submit" value="<< Back" name="action">
							<% } else { %>
							<input type="submit" value="<< Back" name="action" disabled>
							<% } %>
							<%
							if(pageNumber < 4  && pubmedsearch.getPubmedIds().size() > (9*(pageNumber + 1) + (pageNumber + 1))){
							%>
							<input type=submit value="Forward >>" name="action">
							<% } else { %>
							<input type=submit value="Forward >>" name="action" disabled>
							<% } %>
							<input type="submit" value="Back to PubMed search results" name="action">
							<input type="submit" value="Finish browsing" name="action">
						</div>
					</form>
				</div>
		</gui:page>
	</body>
</html>