<!--#set var="stylesheet" value="/stylesheets/mig/external-static/phenotyping.css"-->
<!--#set var="jsfile" value="/Software/mig/javascript/external-static/phenotyping.js"-->
<!--#include virtual="/perl/header"-->

<!-- DEL:START -->
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="gui" prefix="gui"%>
<gui:docType />
<html>
<head>
<link type="text/css" href="css/graph_reporting.css" rel="stylesheet"/>
<script type="text/javascript" src="js/prototype-1.6.0.2.js"></script>
<script type="text/javascript" src="js/chart-loader.js"></script>
<script type="text/javascript" src="js/effects.js"></script>
<script type="text/javascript" src="js/accordion.js"></script>




</head>
<body onload="loadCharts(${pageData.pipelineId},${pageData.alleleId});">
<gui:page>
<!-- DEL:END -->

	<div class="centralContainer">
		<span class="title"><i>${pageData.Gene} - ${pageData.Allele}</i> -
		${pageData.page.name}</span>

		<table class="description">
			<tr>
				<td class="description">${pageData.page.description}
				</td>
			</tr>
		</table>

		<c:forEach items="${pageData.page.subGroups}" var="group">
			<div class="groupContainer">
				<table class="groupDescription">
					<tr>
						<td class="group">${group.name}</td>
					</tr>
					<tr>
						<td class="groupDescription">${group.description}</td>
					</tr>
				</table>

				<c:forEach items="${group.graphs}" var="graph">
					<div class='graphcontainer'>
					<div id="${graph.id}_loading" class="loader">
					<table class="imageTable" align="center" cellpadding="2" cellspacing="0">
						<tr>
							<td valign="middle"><img valign="middle" src="images/graphreport_ajax-loader.gif" />Loading...</td>
						</tr>
					</table>
					</div>
					<div id="${graph.id}" class="graph" style='display: none;'></div>
					</div>
				</c:forEach>
			</div>
		</c:forEach>
	</div>
<!--#include virtual="/perl/footer"-->
<!-- DEL:START -->
</gui:page>
</body>
</html>
<!-- DEL:END -->
