<%--
  Created by IntelliJ IDEA.
  User: holroyd
  Date: Aug 7, 2008
  Time: 3:03:20 PM
  To change this template use File | Settings | File Templates.
--%>
<%@ taglib uri="spring/form" prefix="form"%>
<%@ taglib uri="gui" prefix="gui"%>
<%@ taglib uri="jstl/fmt" prefix="fmt"%>
<%@ taglib uri="jstl/core" prefix="c"%>
<gui:docType />
<html>
<head>
<title>Add/edit mice reservations</title>
<link type="text/css" href="css/migMain.css" rel="stylesheet" />
<link type="text/css" href="css/thickbox.css" rel="stylesheet" />
<script type="text/javascript" src="js/validateBarcode.js"></script>
<script type="text/javascript" src="js/lookupList.js"></script>
<script type="text/javascript" src="js/jquery.js"></script>
<script type="text/javascript" src="js/thickbox.js"></script>
<script type="text/javascript" src="js/formValidator.js"></script>
<script type="text/javascript" src="js/reservation/defaultReserverTeam.js"></script>
</head>
<body>
<gui:page>
  <form:form commandName="form">
    <c:set var="title" value="Add Reservation" />
    <c:if test="${form.reservation.id != null}">
      <c:set var="title" value="Edit Reservation" />
    </c:if>
    <div class="pageHeader">
    <table width="100%" border="0">
      <tr valign="middle">
        <td class="pageHeader" width="" align="left">
          <c:out value="${title}" />
          <span id="selectedCount"></span>
        </td>

        <td align="right" width="40px"><a href="JavaScript:history.back()"> <img src="images/prev.gif" /> </a></td>
      </tr>
    </table>
    </div>

    <gui:error-list commandName="form">
      <br />
    </gui:error-list>
    <div style="width:50%"><gui:mig-box>
      <table class="migBoxInner">
        <tr>
          <td class="viewLabelSmall" align="right">Reserver<span class="requiredField">*</span></td>
          <td><gui:formPopup path="reservation.reserverName" cssClass="person" title="Lookup Reserver"
            onclick="lookupPerson()" /> <form:hidden path="reservation.reserverId" /></td>
        </tr>
        <tr>
          <td class="viewLabelSmall" align="right">Team<span class="requiredField">*</span></td>
          <td><gui:formPopup path="reservation.teamName" cssClass="person" title="Lookup Team"
            onclick="openLookupList('lookup_team.do','teamId=reservation.teamId,teamName=reservation.teamName')" /> <form:hidden
            path="reservation.teamId" /></td>
        </tr>
        <tr>
          <td class="viewLabelSmall" align="right">Category<span class="requiredField">*</span></td>
          <td><form:select path="reservation.categoryId"
            onchange="clearReservationPurpose('reservationPurposeClearId')">
            <option value="">&nbsp;</option>
            <form:options items="${reservationCategory}" itemValue="id" itemLabel="name" />
          </form:select></td>
        </tr>
        <tr>
          <td class="viewLabelSmall" align="right">Purpose<span class="requiredField">*</span></td>
          <td><gui:formPopup path="reservation.purposeName" cssClass="person" title="Lookup Purpose"
            onclick="openDependentLookupList('lookup_purpose.do?reservationCategoryId=','reservation.categoryId','Please select a category first','id=reservation.purposeId,name=reservation.purposeName')" />
          <form:hidden path="reservation.purposeId" /></td>
        </tr>
        <tr>
          <td class="viewLabelSmall" align="right">Alert on death</td>
          <td><form:checkbox path="reservation.notify" /></td>
        </tr>
      </table>
    </gui:mig-box></div>
    <gui:mig-box>
      <table class="listNonPaginated">
        <thead class="listNonPaginatedHeader">
          <tr>
            <th>&nbsp;</th>
            <th>Name</th>
            <th>Earclip</th>
            <th>Gender</th>
            <th>Genotype</th>
            <th>D.O.B</th>
            <th>Existing Reservation</th>
          </tr>
        </thead>
        <tbody>
          <c:forEach items="${form.mouseList}" var="mouse" varStatus="mouseLoop">
            <gui:toggle-row-class recordId1="${form.highlightMouseId}" recordId2="${mouse.id}" />
            <tr class="${rowClass}">
              <td><form:checkbox path="selectedMouseIds[${mouseLoop.index}]" value="${mouse.id}" cssClass="countable" /></td>
              <td><c:out value="${mouse.name}" /></td>
              <td><c:out value="${mouse.earmark.name}" /></td>
              <td><c:out value="${mouse.gender.name}" /></td>
              <td><gui:mouseGenotype mouse="${mouse}" /></td>
              <td><fmt:formatDate value="${mouse.birthDate}" pattern="dd-MMM-yyyy" /></td>
              <td><c:out value="${mouse.mouseReservation.reservation.purpose.purposeCategory}" /></td>
            </tr>
          </c:forEach>
        </tbody>
      </table>
    </gui:mig-box>
    <div style="text-align: center;"><input type="submit" value="submit" class="smallButton"
      onMouseOver="this.className='smallButtonYellow'" onMouseOut="this.className='smallButton'" /></div>
  </form:form>
</gui:page>
</body>
<script type="text/javascript">
 function updateSelectedCount() {
  $('#selectedCount').text('('+$('.countable:checked').length+' selected)');
 }
 $(document).ready(function(){
  updateSelectedCount();
  $(".countable").click(function() {
    updateSelectedCount();
  });
 })
</script>
</html>
