<%@tag description="Display a warning if a histology batch is a bit too big" pageEncoding="UTF-8"%>

<%@ taglib uri="jstl/core" prefix="c"%>
<%@ taglib uri="jstl/fn" prefix="fn"%>
<%@ taglib uri="gui" prefix="gui"%>

<%@attribute name="batch" required="true" type="uk.ac.sanger.mig.mousetracking.Cohort"%>

<c:if test="${fn:length(batch.mice) > 12}">
  <gui:mig-box>
    <span class="formError">
      <h2>Warning: Unusually large batch (${fn:length(batch.mice)} mice)</h2>
    </span>
  </gui:mig-box>
</c:if>