function getLabel(id) {
		return $("label.enbiggenedInput[@for='"+id+"']");
	}
	
	function toggleCheckboxLabel(checkbox){
		var label = getLabel(checkbox.id);
		
		if ($(checkbox).attr("checked")) {
			label.removeClass("checkbox_unchecked").addClass("checkbox_checked");
		}
		else {
			label.addClass("checkbox_unchecked").removeClass("checkbox_checked");
		}
		
	}
	function toggleRadioLabel(clickedButton){
		var name = $(clickedButton).attr("name");
		var selector = "input:radio[@name="+name+"]"; 
		
		$(selector).each(function(){
			var label = getLabel(this.id);
			
			if ($(this).attr("checked")) {
				label.removeClass("radio_unchecked").addClass("radio_checked");
			}
			else {
				label.addClass("radio_unchecked").removeClass("radio_checked");
			}
		});
	}

$(document).ready(function(){
	$("label.bigInput").each(
		function(){
			var label = $(this).addClass("enbiggenedInput");
			
			var id = label.attr("for").replace(".","\\.");
			var input = label.siblings("#"+id);
			var type = input.attr("type");
			
			if (type == "radio") {
				input.click(function(){toggleRadioLabel(this)}).addClass("bigInputHidden");
				
				if (input.attr("checked")) {label.addClass("radio_checked");}
				else {label.addClass("radio_unchecked");}
				
				return true;
			}
			
			if(type == "checkbox") {
				input.click(function(){toggleCheckboxLabel(this)}).addClass("bigInputHidden");
				
				if (input.attr("checked")) {label.addClass("checkbox_checked");}
				else {label.addClass("checkbox_unchecked");}
				
				return true;
			}
		}	
	);
});