function submitChangeForm(changeAction, changeValue) {
	document.forms[0].changeForm.value = changeAction;
	document.forms[0].changeFormValue.value = changeValue;
	document.forms[0].submit();
}

function afterValidateDate(field) {
	submitChangeForm("selectAssayDate");
}

function updateAllRadios(fieldName, radioIndex, arrayLength) {
	for(var i=0; i < arrayLength; i++) {
		document.getElementById(fieldName + "[" + i + "]" + radioIndex).checked = true;
		tickRow(i);
	}
}

function tickRow(rowIndex) {
	document.getElementById("tickForWell" + rowIndex).style.visibility = "visible";
	document.getElementById("assayResultComment" + rowIndex).disabled = "";
}

function stripe(id) {
	$(id).children("tr").filter(":odd").addClass("odd").removeClass("even")
	.end().filter(":even").addClass("even").removeClass("odd");
}
function restripe(){
	stripe("#assayFiles");
	stripe("#plateFiles");
}

function addUploadRow(event){
	var limit = this.id.indexOf("Upload");
	var nameStart = this.id.substring(0,limit);
	var tableBody = $(this).parents(".fileBody");

	tableBody.find(".removeRow:hidden").show();

	var lastRowNum = tableBody.find(".uploadRow :file:last").attr("name").match(/\d+/);
	var name = nameStart+"Upload[" + (++lastRowNum) + "]";
	var rowTemplate = '<tr class="uploadRow"><td colspan="2"><input type="file" name="#name" id="#name" class="fileUpload" size="60"/></td><td><input type="button" class="smallButton removeRow" value="Remove" style="display: none;"/></td><td/></tr>';
	var extraRow = rowTemplate.replace(/#name/g,name);

	tableBody.append(extraRow);

	restripe();

	$(document.getElementById(name)).change(addUploadRow)
		.parent().parent().find(".removeRow")
		.click(removeRow);
}

function removeRow(event){
	$(this).parent().parent().remove();
	restripe();
}

$(document).ready(function() {
	$("tbody.highlightable tr")
		.mouseover(function() {$(this).addClass("highlight");})
		.mouseout(function() {$(this).removeClass("highlight");})
	;

	$(":input").keydown(function(event) {
		switch(event.keyCode) {
			case 13:
			$(this).blur();
				return false;
			default:
				return true;
		}
	}
	);

	var barcodeField = document.getElementById("barcode");
	if($('#barcode').val()=="") {
		$('#barcode').focus();
	}

	 //restripe();

	$(".fileUpload").change(addUploadRow);
	$(".removeRow").click(removeRow);
});