function submitChangeForm(changeAction, changeValue) {
	document.forms[0].changeForm.value = changeAction;
	document.forms[0].changeFormValue.value = changeValue;
	document.forms[0].submit();
}

function filterRows(selectField) {
	var assayTypeFilter = selectField.id
	var assayResultFilter = selectField.value;

	var assayTypeClass = "." + assayTypeFilter;
	var assayResultClass = "." + assayResultFilter;

	$(assayTypeClass).removeClass("hideThisRow");
	if(assayResultFilter != "") {
		$(assayTypeClass).not(assayResultClass).addClass("hideThisRow");
	}

	$(".genotypeResultRow").removeClass("displayNone");
	$(".genotypeResultRow > .hideThisRow").parent("tr").addClass("displayNone");

	// after changing the filters, reset the global genotype drop-down to blank
	$("#globalGenotypeSelect").attr("selectedIndex",0);
}

function copyGenotype(selectField) {
	$(".genotypeResultRow").not(".displayNone").find("select").attr("selectedIndex",selectField.selectedIndex);
}

function copyComments(selectField) {
	$(".genotypeResultRow").not(".displayNone").find(":text").attr("value",selectField.value);
}

function copyLockStatus(checkboxField) {
	$(".genotypeResultRow").not(".displayNone").find(":checkbox").attr("checked",checkboxField.checked);
}

$(document).ready(function() {
	$("tbody.highlightable tr")
		.mouseover(function() {$(this).addClass("highlight");})
		.mouseout(function() {$(this).removeClass("highlight");})
	;

	$(":input").keydown(function(event) {
		switch(event.keyCode) {
			case 13:
			$(this).blur();
				return false;
			default:
				return true;
		}
	}
	);

	var barcodeField = document.getElementById("barcode");
	if(barcodeField.value=="") {
		barcodeField.focus();
	}

	$(".assayFilter").each(filterRows(this));
});