function windowWidth (){return $(window).width();}
function windowHeight (){return $(window).height();}
function randomPos(limit){
	var p = Math.random()*limit;
	//if (p < 0) return 0;
	return p;
}

function moveGhosts(ghosts) {
	ghosts.each(function(){

		var X = (this.tx - this.x);
		var Y = (this.ty - this.y);
		var len = Math.sqrt(X*X+Y*Y);
		if(len < 1) len = 1;
		var dx = 15 * (X/len);
		var dy = 15 * (Y/len);
		var ddx = (dx - this.dx)/10;
		var ddy = (dy - this.dy)/10;
		this.dx += ddx;
		this.dy += ddy;
		this.x+=this.dx;
		this.y+=this.dy;
		this.updatePos();

		//change target
		if(Math.random() >.95 || len < 10)
		{
			this.tx = randomPos(windowWidth());
			this.ty = randomPos(windowHeight());
		}
		//change visbility
		if(Math.random() >.995) {
			if ($(this).is(':visible')) {
				$(this).fadeOut('slow');
			}
			else {
				$(this).fadeIn('slow');
			}
		}
	});
}

function startAnimation() {
	var ghosts = $(".ghost");
	ghosts.css('position','absolute').each(function(){
		this.x=randomPos(windowWidth());
		this.y=randomPos(windowHeight());
		this.tx=randomPos(windowWidth());
		this.ty=randomPos(windowHeight());
		this.dx=-5+Math.random()*10;
		this.dy=-5+Math.random()*10;
		this.updatePos=function(){$(this).css('left',this.x).css('top',this.y)};
		if (Math.random() > .5) {
			$(this).fadeIn('slow');
		}
	});

	setInterval(function(){moveGhosts(ghosts)},40);
}

$(document).ready(function(){
	$("body").append("<div class='ghost'><img src='images/ghosts/g1.gif' /></div>")
		.append("<div class='ghost'><img src='images/ghosts/g2.gif' /></div>")
		.append("<div class='ghost'><img src='images/ghosts/boo.gif' /></div>")
		.append("<div class='ghost'><img src='images/ghosts/g3.gif' /></div>")
		.append("<div class='ghost'><img src='images/ghosts/g4.gif' /></div>")
		.append("<div class='ghost'><img src='images/ghosts/bat.gif' /></div>");

	startAnimation();
});