var lookupListCustomMapping = new Array();

/*
	Open a lookup list window.
	action is the url of lookup list (e.g. lookup_person.do)
	customMapping is optional and can be used to map the default return fields to customised fields.
	E.g. openLookupList('lookup_person.do','personId=requestorId,personName=requestorName')
	This will return values to document elements called requestorId and requestorName.
*/
function openLookupList(action, customMapping) {

    height = 400;
    width = 640;

    if (!customMapping) {
    	lookupListCustomMapping = new Array();
    }
    else {
	    var mappingArray = customMapping.split(",");
	    for(i=0; i<mappingArray.length; i++) {
			var mappingElement = mappingArray[i].split("=");
			lookupListCustomMapping[i] = new Array();
	    	lookupListCustomMapping[i][0] = mappingElement[0];
	    	lookupListCustomMapping[i][1] = mappingElement[1];
	    }
    }

  tb_url = action+(action.indexOf('?') == -1 ? '?' : '&')+"TB_iframe=true&height="+height+"&width="+width;
  tb_show(null,tb_url,null);


  //window.open(action, "MIG_LOOKUP_WINDOW", "height=" + height + ",width=" + width + ",left=" + xOffset + ",top=" + yOffset + ",scrollbars=yes,status=no,resizable=yes");

	return false;
}

function openMultiDependentLookupList(action,queryParameters,dependentFieldIds,errorText, customMapping) {

	var queryParametersArray = queryParameters.split(",");
	var dependentFieldIdsArray = dependentFieldIds.split(",");

	for(var i=0; i < dependentFieldIdsArray.length; i++) {
		var dependentField = document.getElementById(dependentFieldIdsArray[i]);
	    if (dependentField.value == "" || dependentField.value == "0") {
	        alert(errorText);
	        return false;
	    }
	}

	action += "?";
	for(var i=0; i < queryParametersArray.length; i++) {
		var dependentField = document.getElementById(dependentFieldIdsArray[i]);
		action += queryParametersArray[i] + "=" + dependentField.value + "&"
	}

	openLookupList(action, customMapping);
}

function openDependentLookupList(action, dependentFieldId, errorText, customMapping) {
    var dependentField = document.getElementById(dependentFieldId);
    if (dependentField.value == "" || dependentField.value == "0") {
        alert(errorText);
        return false;
    }
    openLookupList(action + dependentField.value, customMapping);
}

