function populateMyPil(pilId, pilDisplayText) {
	var pilIdField = document.getElementById('procedureSubform.personalLicenceId');
	var pilDisplayTextField = document.getElementById('procedureSubform.personalLicenceDisplayText');
	clearFields("procedureSubform.projectLicenceId","procedureSubform.projectLicenceDisplayText","procedureSubform.protocolId","procedureSubform.protocolDisplayText");
	pilIdField.value = pilId;
	pilDisplayTextField.value = pilDisplayText;
}

function openProcedureLookupList() {
	clearFields("procedureSubform.projectLicenceId","procedureSubform.projectLicenceDisplayText","procedureSubform.protocolId","procedureSubform.protocolDisplayText");
	openLookupList("lookup_mouse_procedure.do","id=procedureSubform.procedureId,name=procedureSubform.procedureDisplayText")
}

function openPersonalLicenceLookupList() {
	clearFields("procedureSubform.projectLicenceId","procedureSubform.projectLicenceDisplayText","procedureSubform.protocolId","procedureSubform.protocolDisplayText");
	openLookupList("lookup_personal_licence.do","personalLicenceId=procedureSubform.personalLicenceId,personalLicenceDisplayText=procedureSubform.personalLicenceDisplayText")
}

function openProjectLicenceLookupList() {
	var pilField = document.getElementById("procedureSubform.personalLicenceId");
	var procedureField = document.getElementById("procedureSubform.procedureId");

	var msg = "";
	if(pilField != null && pilField.value == "") {
		msg += "Please select a PIL.\n";
	}
	if(procedureField != null && procedureField.value == "") {
		msg += "Please select a Procedure.\n";
	}

	if(msg != "") {
		alert(msg);
		return false;
	}

	clearFields("procedureSubform.protocolId","procedureSubform.protocolDisplayText");

	var url = "lookup_project_licence.do?";
	if(pilField != null && pilField.value != "") {
		url += "personalLicenceId=" + pilField.value + "&";
	}
	if(procedureField != null && procedureField.value != "") {
		url += "procedureId=" + procedureField.value + "&";
	}

	openLookupList(url,"projectLicenceId=procedureSubform.projectLicenceId,projectLicenceDisplayText=procedureSubform.projectLicenceDisplayText,protocolId=procedureSubform.protocolId,protocolDisplayText=procedureSubform.protocolDisplayText");
}
