$(document).ready(function() {
	$("tbody.highlightable tr")
		.mouseover(function() {$(this).addClass("highlight");})
		.mouseout(function() {$(this).removeClass("highlight");})
	;
	$(":input").keydown(function(event) {
		switch(event.keyCode) {
			case 13:
			$(this).blur();
				return false;
			default:
				return true;
		}
	}
	);

	initForm();
});

function lookupChooserCohort() {
  setupChangeForm('pickerCohort');
  openLookupList('lookup_cohort.do?cohortTypeId=1','cohortName=chooserCohort.cohortName,cohortId=chooserCohort.id');
}

function lookupRoom() {
  setupChangeForm('roomPrewean');
  openLookupList('lookup_room.do?recordType=room','roomNumber=room.displayText,roomId=room.id');
}

function lookupExistingCohort() {
  setupChangeForm('validateCohort');
  var typeId = $("#cohort\\.cohortTypeDictId").val();
  openLookupList('lookup_cohort.do?cohortTypeId='+typeId,'cohortName=cohort.cohortName');
}

function setupChangeForm(changeType) {
  $('#changeForm').val(changeType);
  $('#changeFormValue').val('');
}

function validateCohort() {
  var cohortName = $("#cohort\\.cohortName").val();
  var cachedCohortName = $("#cachedCohortName").val();

  if(cohortName != cachedCohortName) {
    setupChangeForm('validateCohort');
    $('#changeFormValue').val(cohortName);
    submitForm();
  }
  else {
    blurCohortName();
  }
}

function lookupListPostProcessing() {
  if ( $('#changeForm').val() == 'validateCohort' ) {
    validateCohort();
  }
  else {
    submitForm();
  }
}
function submitForm() {
  $("form:first").submit();
}

function initForm() {
	var cohortName = $("#cohort\\.cohortName");
	var cohortReason = $("#cohort\\.reason");
	if (cohortName.val() == "") {
		cohortName[0].focus();
	}
	else if (cohortReason.val() == "") {
		cohortReason[0].focus();
	}
	else {
		$("#barcodeForm\\.barcode")[0].focus();
	}
}

function barcodeBlurred(field) {
	validateBarcode(field,'barcodeForm.id','cage or mouse or litter','barcodeForm.barcodeDescription','barcodeForm.barcodeType');
}

function validateBarcodePostProcess(barcodeFieldId) {
	setupChangeForm("scanCage");
	submitForm();
}

function toggle(checkbox,cssClass){
	$('.'+cssClass+':checkbox:not([disabled])').attr('checked',checkbox.checked);
}

function blurCohortName() {
	$("#submitButton").attr("disabled","");
	$("#goButton").css("color","black");
}

function focusCohortName() {
	$("#submitButton").attr("disabled","true");
	$("#goButton").css("color","red");
}