function validateGenerationField(field) {
	//var d = document.forms[0];

	if(field.value=="")
		return false;

	var temp = field.value.toUpperCase();

	if(temp.substring(0,1) != "F" && temp.substring(0,1) != "N") {
		alert("Generation should start with 'F' or 'N' and end with a number");
		setTimeout("document.getElementById('" + field.id + "').focus()",1); //firefox event handler workaround (Mozilla bug 53579)
		return false;
	}

	if(temp.length < 2 || isNaN(temp.substring(1))) {
		alert("Generation should start with 'F' or 'N' and end with a number");
		setTimeout("document.getElementById('" + field.id + "').focus()",1); //firefox event handler workaround (Mozilla bug 53579)
		return false;
	}

	field.value = temp.substring(0,1) + parseInt(temp.substring(1),10);
}

function validateRfidField(field) {

	if(field.value=="")
		return false;

	var temp = field.value.replace(/^\s+|\s+$/, '');

	if(!temp.match(/\d{9}/)) {
		alert("Barcode invalid. Please scan again.");
		setTimeout("document.getElementById('" + field.id + "').focus()",1); //firefox event handler workaround (Mozilla bug 53579)
		return false;
	}
}