CREATE TABLE MTS_BREEDING_CATEGORY_DICT
(
  ID           INTEGER,
  NAME         VARCHAR2(128 CHAR)               NOT NULL,
  DESCRIPTION  VARCHAR2(4000 CHAR),
  ORDER_BY     INTEGER                          NOT NULL,
  ACTIVE       INTEGER                          NOT NULL
)
TABLESPACE DATA_02
LOGGING
NOCOMPRESS
NOCACHE
NOPARALLEL
MONITORING;

ALTER TABLE MTS_BREEDING_CATEGORY_DICT ADD (
  CONSTRAINT MTS_BREEDING_CATEGORY_DICT_PK
 PRIMARY KEY
 (ID)
    USING INDEX
    TABLESPACE INDEX_02);

alter table mts_breeding add breeding_category_dict_id integer;

ALTER TABLE MTS_BREEDING ADD (
  CONSTRAINT MTS_BREEDING_FK06
 FOREIGN KEY (BREEDING_CATEGORY_DICT_ID)
 REFERENCES MTS_BREEDING_CATEGORY_DICT (ID));

CREATE INDEX MTS_BREEDING_IND5 ON MTS_BREEDING
(BREEDING_CATEGORY_DICT_ID)
LOGGING
TABLESPACE INDEX_02
NOPARALLEL;
