/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

grant select on GNM_ASSEMBLY to mig_reader;                  
grant select on GNM_GENE to mig_reader;                      
grant select on GNM_GENE_BUILD to mig_reader;                
grant select on GNM_GENE_BUILD_GENE to mig_reader;           
grant select on GNM_GENE_NAME to mig_reader;                 
grant select on GNM_GENE_BUILD_GENE_NAME to mig_reader;      
grant select on ARQ_ALLELE_MOD_TYPE_DICT to mig_reader;      
grant select on ARQ_TARGET_ENDPOINT_DICT to mig_reader;      
grant select on GEV_GENE_TARGETING_HITS to mig_reader;       
grant select on GNM_LOCUS to mig_reader;                     
grant select on GNM_TRANSCRIPT to mig_reader;                
grant select on GNM_TRANSCRIPT_NAME to mig_reader;           
grant select on PER_PERSON to mig_reader;                    
grant select on PUB_ABSTRACT to mig_reader;                  
grant select on PUB_ARTICLE to mig_reader;                   
grant select on PUB_AUTHOR to mig_reader;                    
grant select on PUB_ARTICLE_2_AUTHOR to mig_reader;          
grant select on ARQ_ALLELE_REQUEST_STATUS_DICT to mig_reader;
grant select on GEV_GENE_ARTICLE_REF to mig_reader;          
grant select on GEV_MGI_PHENOTYPE_ALLELE to mig_reader;      
grant select on GEV_MIG_CURATED_STATUS to mig_reader;        
grant select on GNM_EXON to mig_reader;                      
grant select on GNM_GENE_SET_2_GENE to mig_reader;           
grant select on ARQ_ALLELE_REQUEST to mig_reader;            
grant select on GEV_EXTERNAL_SUPPORT_REF to mig_reader;      
grant select on GEV_GENE_SUMMARY to mig_reader;              
grant select on GNM_EXON_NAME to mig_reader;                 
grant select on GNM_GENE_2_GENE_BUILD_GENE to mig_reader;    
grant select on ARQ_ALLELE_REQUEST_SOURCE_DICT to mig_reader;
