/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

create synonym MIG_GNM_ASSEMBLY for &&schema..GNM_ASSEMBLY;                                    
create synonym MIG_GNM_GENE for &&schema..GNM_GENE;                                            
create synonym MIG_GNM_GENE_BUILD for &&schema..GNM_GENE_BUILD;                                
create synonym MIG_GNM_GENE_BUILD_GENE for &&schema..GNM_GENE_BUILD_GENE;                      
create synonym MIG_GNM_GENE_NAME for &&schema..GNM_GENE_NAME;                                  
create synonym MIG_GNM_GENE_BUILD_GENE_NAME for &&schema..GNM_GENE_BUILD_GENE_NAME;            
create synonym MIG_ARQ_ALLELE_MOD_TYPE_DICT for &&schema..ARQ_ALLELE_MOD_TYPE_DICT;            
create synonym MIG_ARQ_TARGET_ENDPOINT_DICT for &&schema..ARQ_TARGET_ENDPOINT_DICT;            
create synonym MIG_GEV_GENE_TARGETING_HITS for &&schema..GEV_GENE_TARGETING_HITS;              
create synonym MIG_GNM_LOCUS for &&schema..GNM_LOCUS;                                          
create synonym MIG_GNM_TRANSCRIPT for &&schema..GNM_TRANSCRIPT;                                
create synonym MIG_GNM_TRANSCRIPT_NAME for &&schema..GNM_TRANSCRIPT_NAME;                      
create synonym MIG_PER_PERSON for &&schema..PER_PERSON;                                        
create synonym MIG_PUB_ABSTRACT for &&schema..PUB_ABSTRACT;                                    
create synonym MIG_PUB_ARTICLE for &&schema..PUB_ARTICLE;                                      
create synonym MIG_PUB_AUTHOR for &&schema..PUB_AUTHOR;                                        
create synonym MIG_PUB_ARTICLE_2_AUTHOR for &&schema..PUB_ARTICLE_2_AUTHOR;                    
create synonym MIG_ARQ_ALLELE_REQUEST_STATUS_DICT for &&schema..ARQ_ALLELE_REQUEST_STATUS_DICT;
create synonym MIG_GEV_GENE_ARTICLE_REF for &&schema..GEV_GENE_ARTICLE_REF;                    
create synonym MIG_GEV_MGI_PHENOTYPE_ALLELE for &&schema..GEV_MGI_PHENOTYPE_ALLELE;            
create synonym MIG_GEV_MIG_CURATED_STATUS for &&schema..GEV_MIG_CURATED_STATUS;                
create synonym MIG_GNM_EXON for &&schema..GNM_EXON;                                            
create synonym MIG_GNM_GENE_SET_2_GENE for &&schema..GNM_GENE_SET_2_GENE;                      
create synonym MIG_ARQ_ALLELE_REQUEST for &&schema..ARQ_ALLELE_REQUEST;                        
create synonym MIG_GEV_EXTERNAL_SUPPORT_REF for &&schema..GEV_EXTERNAL_SUPPORT_REF;            
create synonym MIG_GEV_GENE_SUMMARY for &&schema..GEV_GENE_SUMMARY;                            
create synonym MIG_GNM_EXON_NAME for &&schema..GNM_EXON_NAME;                                  
create synonym MIG_GNM_GENE_2_GENE_BUILD_GENE for &&schema..GNM_GENE_2_GENE_BUILD_GENE;        
create synonym MIG_ARQ_ALLELE_REQUEST_SOURCE_DICT for &&schema..ARQ_ALLELE_REQUEST_SOURCE_DICT;
