
connect mig

@dbMaintenance/059_release/2281.sql
@dbMaintenance/059_release/002_abr.sql
-- start ticket #2271
delete per_person_2_role where role_id in (
  select role_id from per_role where name='mts-auditor'
);

delete per_role where name='mts-auditor';

commit;
-- end ticket #2271

-- start ticket #2281

SET DEFINE OFF;
Insert into MTS_COHORT_TYPE_DICT
   (ID,NAME, DESCRIPTION, ORDER_BY, ACTIVE)
 Values
   (5,'Cull List', NULL, 5, '1');

BEGIN
  app_sync_custom_query('repCullCohort','migd.world');
END;
/

COMMIT;

SET DEFINE OFF;
Insert into APP_CUSTOM_QUERY_RSET_ACTION
   (CUSTOM_QUERY_ID, ACTION_TITLE, ACTION_URL, ORDER_BY, PERMITTED_ROLES)
 Values
   (11, 'Add To Cull List', 'manage_cohort.do?addSelectedMice=true&cohortTypeId=5', 7, NULL);
COMMIT;


-- end ticket #2281=======


@dbMaintenance/059_release/001_mic.sql

Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (1, 'Brain', 'Brain', 1, 1);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (2, 'Olfactory bulb', 'Olfactory bulb', 1, 2);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (3, 'Nasal cavity', 'Nasal cavity', 1, 3);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (4, 'Facial skin', 'Facial skin', 1, 4);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (5, 'Eye', 'Eye', 1, 5);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (6, 'Pinna', 'Pinna', 1, 6);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (7, 'Brown fat pad', 'Brown fat pad', 1, 7);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (8, 'Rib cage', 'Rib cage', 1, 8);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (9, 'Sternum', 'Sternum', 1, 9);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (10, 'Xyphoid', 'Xyphoid', 1, 10);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (11, 'Diaphragm', 'Diaphragm', 1, 11);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (12, 'Spinal cord', 'Spinal cord', 1, 12);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (13, 'Skin', 'Skin', 1, 13);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (14, 'Trachea and thyroid', 'Trachea and thyroid', 1, 14);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (15, 'Trachea', 'Trachea', 1, 15);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (16, 'Oesophagus', 'Oesophagus', 1, 16);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (17, 'Lung', 'Lung', 1, 17);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (18, 'Heart', 'Heart', 1, 18);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (19, 'Heart atria', 'Heart atria', 1, 19);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (20, 'Thymus', 'Thymus', 1, 20);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (21, 'Liver', 'Liver', 1, 21);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (22, 'Liver and gall bladder', 'Liver and gall bladder', 1, 22);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (23, 'Stomach', 'Stomach', 1, 23);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (24, 'Small intestine', 'Small intestine', 1, 24);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (25, 'Peyer''s patch', 'Peyer''s patch', 1, 25);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (26, 'Large intestine', 'Large intestine', 1, 26);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (27, 'Mesenteric lymph node', 'Mesenteric lymph node', 1, 27);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (28, 'Pancreas', 'Pancreas', 1, 28);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (29, 'Spleen', 'Spleen', 1, 29);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (30, 'Kidneys', 'Kidneys', 1, 30);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (31, 'Coeliac Ganglion', 'Coeliac Ganglion', 1, 31);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (32, 'Kidney', 'Kidney', 1, 32);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (33, 'Adrenal gland', 'Adrenal gland', 1, 33);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (34, 'Urogenital system', 'Urogenital system', 1, 34);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (35, 'Ovary and Uterus', 'Ovary and Uterus', 1, 35);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (36, 'Uterus', 'Uterus', 1, 36);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (37, 'Bladder', 'Bladder', 1, 37);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (38, 'Testis', 'Testis', 1, 38);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (39, 'Ureter', 'Ureter', 1, 39);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (40, 'Mammary gland', 'Mammary gland', 1, 40);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (41, 'Hind limb', 'Hind limb', 1, 41);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (42, 'Knee joint', 'Knee joint', 1, 42);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (43, 'Hind paw', 'Hind paw', 1, 43);
Insert into MIC_TISSUE_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (44, 'Tail', 'Tail', 1, 44);



Insert into MIC_DESCRIPTION_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (1, 'Dorsal view', 'dorsal view', 1, 1);
Insert into MIC_DESCRIPTION_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (2, 'Ventral view', 'ventral view', 1, 2);
Insert into MIC_DESCRIPTION_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (3, 'Medial view', 'medial view', 1, 3);
Insert into MIC_DESCRIPTION_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (4, 'Internal view', 'internal view', 1, 4);
Insert into MIC_DESCRIPTION_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (5, 'Cross-section', 'Cross-section', 1, 5);
Insert into MIC_DESCRIPTION_DICT
   (ID, NAME, DESCRIPTION, ACTIVE, ORDER_BY)
 Values
   (6, 'Longitudinal section', 'Longitudinal section', 1, 6);

commit;

