package uk.ac.sanger.mig.abr.forms;

import java.util.Collection;
import java.util.List;

import uk.ac.sanger.mig.abr.FreqExperiment;
import uk.ac.sanger.mig.abr.parser.ExperimentComment;
import uk.ac.sanger.mig.abr.views.MouseAbrListView;

public class AbrMouseForm {

	private MouseAbrListView				mouseAbrListView;
	private List<FreqExperiment>			freqExperiments;
	private String							userComments;
	private Collection<ExperimentComment>	experimentComments;
	private Boolean							include;
	private int[]							levels;
	private List<List<Integer>>				frequencyLevels;


	public String getUserComments() {
		return userComments;
	}


	public void setUserComments(String comments) {
		this.userComments = comments;
	}


	public Collection<ExperimentComment> getExperimentComments() {
		return experimentComments;
	}


	public void setExperimentComments(Collection<ExperimentComment> experimentComments) {
		this.experimentComments = experimentComments;
	}


	public Boolean getInclude() {
		return include;
	}


	public void setInclude(Boolean include) {
		this.include = include;
	}


	public MouseAbrListView getMouseAbrListView() {
		return mouseAbrListView;
	}


	public void setMouseAbrListView(MouseAbrListView mouseAbrListView) {
		this.mouseAbrListView = mouseAbrListView;
	}


	public List<FreqExperiment> getFreqExperiments() {
		return freqExperiments;
	}


	public void setFreqExperiments(List<FreqExperiment> freqExperiments) {
		this.freqExperiments = freqExperiments;
	}


	public int[] getLevels() {
		return levels;
	}


	public void setLevels(int[] levels) {
		this.levels = levels;
	}


	public List<List<Integer>> getFrequencyLevels() {
		return frequencyLevels;
	}


	public void setFrequencyLevels(List<List<Integer>> frequencyLevels) {
		this.frequencyLevels = frequencyLevels;
	}

}
