package uk.ac.sanger.mig.abr.parser;

public class ExperimentComment {

	private int		frequency;
	private int		level;
	private String	comment;


	public ExperimentComment(int frequency, int level, String comment) {
		this.frequency = frequency;
		this.level = level;
		this.comment = comment;
	}


	public String getComment() {
		return comment;
	}


	public int getFrequency() {
		return frequency;
	}


	public int getLevel() {
		return level;
	}

	public String getFrequencyLevelAnnotation() {
		return "[F:" + this.frequency + "kHz, SPL:" + this.level + "]";
	}
}
