package uk.ac.sanger.mig.common.controllers;



import java.io.Serializable;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.ParameterizableViewController;


public abstract class SerializedViewController extends ParameterizableViewController {
			
	
	
	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest request, HttpServletResponse response) throws Exception {
		
		
		Serializable object = fetchSerializableObject();
		
		
		return new ModelAndView( new SerializedObjectView(), getViewName(), 
				object ); 
	}
		
	/**
	 * Implement this method to return a Serializable object
	 * @return
	 */
	public abstract Serializable fetchSerializableObject();
	
	
	
}
