package uk.ac.sanger.mig.cryoprocessing.forms;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

import uk.ac.sanger.mig.cryoprocessing.views.SampleListView;

public class ShippingForm {

	private List<FreezeDownSampleCheckBox> checkBoxes;
	private Date shippingDate;
	private String shipTo;
	private Long cryoRequestId;

	public Long getCryoRequestId() {
		return cryoRequestId;
	}
	public void setCryoRequestId(Long cryoRequestId) {
		this.cryoRequestId = cryoRequestId;
	}
	public List<FreezeDownSampleCheckBox> getCheckBoxes() {
		return checkBoxes;
	}
	public void setCheckBoxes(List<FreezeDownSampleCheckBox> checkBoxes) {
		this.checkBoxes = checkBoxes;
	}
	public Date getShippingDate() {
		return shippingDate;
	}
	public void setShippingDate(Date shippingDate) {
		this.shippingDate = shippingDate;
	}
	public String getShipTo() {
		return shipTo;
	}
	public void setShipTo(String shipTo) {
		this.shipTo = shipTo;
	}

	public void buildNewCheckBoxes(Collection<SampleListView> samples){
		this.checkBoxes = new ArrayList<FreezeDownSampleCheckBox>();
			for(SampleListView sample:samples){
				FreezeDownSampleCheckBox checkBox = new FreezeDownSampleCheckBox(sample,true);
				this.checkBoxes.add(checkBox);
			}
	}
}
