package uk.ac.sanger.mig.cryoprocessing.services;

import java.util.Collection;
import java.util.Set;

import uk.ac.sanger.mig.common.ComponentMap;
import uk.ac.sanger.mig.cryoprocessing.Wedge;

																
public interface WedgeService {
	
	
	/**
	 * Returns wedge for a given id that maps to primary key
	 * of a record in a database table.
	 * @param id
	 * @return
	 */
	public Wedge fetchById(Long id, ComponentMap componentMap);
	
	public Collection<Wedge> fetchByGobletId(Long gobletId, ComponentMap componentMap);
	
	public String fetchWedgeColonyName(Wedge wedge);
	public Set<String> fetchWedgeStrainNames(Wedge wedge);
	

}