package uk.ac.sanger.mig.customquery.dao;

import java.util.Collection;

import uk.ac.sanger.mig.customquery.CustomQueryColumn;
import uk.ac.sanger.mig.customquery.CustomQueryColumnValidValue;

public interface CustomQueryColumnDao {

	public Collection<CustomQueryColumn> fetchColumnPrefsByQueryId(Long queryId, Long personId);

	public Collection<CustomQueryColumn> fetchCurrent(Long queryId, Long personId);

	public Collection<CustomQueryColumn> fetchAvailable(Long queryId, Long personId);

	public int deleteCurrent(Long queryId, Long personId);

	public int insertNew(Long columnId, Long personId, int orderBy);

	public Collection<CustomQueryColumnValidValue> fetchValidValues(CustomQueryColumn column);

	public Collection<CustomQueryColumn> fetchFilterable(Long queryId);

	public CustomQueryColumn fetchByName(Long queryId, String columnName);

	public CustomQueryColumn fetchById(Long columnId);

}
