package uk.ac.sanger.mig.customquery.dao.rowmappers;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import uk.ac.sanger.mig.customquery.CustomQueryColumnValidValue;

public class CustomQueryColumnValidValueRowMapper implements ParameterizedRowMapper<CustomQueryColumnValidValue> {

	public CustomQueryColumnValidValue mapRow(ResultSet rset, int rowNum) throws SQLException {
		CustomQueryColumnValidValue value = new CustomQueryColumnValidValue();

		value.setValue(rset.getString(1));
		value.setDisplayText(rset.getString(2));

		return value;
	}

}