package uk.ac.sanger.mig.customquery.forms;

public class CustomQueryFieldCondition {

	public boolean negativeQualifier;
	public CustomQueryFilterEnum comparator;
	public Object testValue;
	public Object testValue2;

	public CustomQueryFieldCondition() {
		super();
	}

	public CustomQueryFieldCondition(boolean negativeQualifier, CustomQueryFilterEnum comparator, Object testValue) {
		this.negativeQualifier = negativeQualifier;
		this.comparator = comparator;
		this.testValue = testValue;
		this.testValue2 = null;
	}

	public CustomQueryFieldCondition(boolean negativeQualifier, CustomQueryFilterEnum comparator, Object testValue, Object testValue2) {
		this.negativeQualifier = negativeQualifier;
		this.comparator = comparator;
		this.testValue = testValue;
		this.testValue2 = testValue2;
	}

	public CustomQueryFilterEnum getComparator() {
		return comparator;
	}
	public void setComparator(CustomQueryFilterEnum comparator) {
		this.comparator = comparator;
	}
	public boolean isNegativeQualifier() {
		return negativeQualifier;
	}
	public void setNegativeQualifier(boolean negativeQualifier) {
		this.negativeQualifier = negativeQualifier;
	}
	public Object getTestValue() {
		return testValue;
	}
	public void setTestValue(Object testValue) {
		this.testValue = testValue;
	}
	public Object getTestValue2() {
		return testValue2;
	}
	public void setTestValue2(Object testValue2) {
		this.testValue2 = testValue2;
	}
}
