/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.database;

public enum TableMetadataEnum {

	MTS_COLONY_INFO,
	MTS_MOUSE,
	REQ_ANIMAL_REQUEST,
	MIR_EMBRYO_TRANSFER_PROCEDURE,
	MTS_ROOM,
	MTS_RACK,
	MTS_CAGE,
	MTS_AIR_HANDLING_UNIT,
	MIR_EMBRYO_HARVEST,
	MTS_MOUSE_PROCEDURE_DICT,
	MIR_SCHEDULED_MICRO_INJECTION,
	MTS_TISSUE_SAMPLE,
	PHN_BLOODS_RUN,
	PHN_EXPERIMENT,
	PHN_HOT_PLATE,
	PHN_STD_OPERATING_PROCEDURE,
	CRQ_FREEZE_DOWN_SAMPLE,
	CRQ_THAW_TEST,
	TYP_MODIFIED_ALLELE,
	GTP_ASSAY_PLATE,
	GTP_ASSAY,
	HTL_CROP,
	MIC_META_DATA;
	;

}
