package uk.ac.sanger.mig.europhenome;


import uk.ac.sanger.mig.common.AuthenticatedDataObject;
import uk.ac.sanger.mig.common.ComponentEnum;
import uk.ac.sanger.mig.phenotyping.datacapture.RestrictedOption;

public class OptionTranslation extends AuthenticatedDataObject  {

	public enum Component implements ComponentEnum {
		ALL_COMPONENTS,
		RESTRICTED_OPTION
	}

    private int mappingId;        
    private Long optionId;        
    private String euValue;
    
    private RestrictedOption option;
    private ParameterMapping mapping;

    public RestrictedOption getOption() {
      return option;
    }

    public void setOption(RestrictedOption option) {
      this.option = option;
    }

    public ParameterMapping getMapping() {
      return mapping;
    }

    public void setMapping(ParameterMapping mapping) {
      this.mapping = mapping;
    }

    public int getMappingId() {
        return mappingId;
    }
    
    public void setMappingId(int mappingId) {
        this.mappingId = mappingId;
    }                                                                                                                                            
    public Long getOptionId() {
        return optionId;
    }
    
    public void setOptionId(Long optionId) {
        this.optionId = optionId;
    }                                                                                                                                            
    public String getEuValue() {
        return euValue;
    }
    
    public void setEuValue(String euValue) {
        this.euValue = euValue;
    }                                                                                                                                            

}