package uk.ac.sanger.mig.genotyping.forms;

import java.util.Collection;
import java.util.Map;

import uk.ac.sanger.mig.common.forms.ValidatableForm;
import uk.ac.sanger.mig.genotyping.Assay;
import uk.ac.sanger.mig.genotyping.AssayPlate;

public class GenotypeAssignmentForm extends ValidatableForm {

	private AssayPlate assayPlate;
	private String barcode;
	private Long selectedAlleleId;
	private String selectedAllele;
	private Collection<MouseSubform> selectedMice;
	private Map<Long, Assay> assays;
	private String todaysDateAsString;


	public String getTodaysDateAsString() {
		return todaysDateAsString;
	}
	public void setTodaysDateAsString(String todaysDate) {
		this.todaysDateAsString = todaysDate;
	}
	public AssayPlate getAssayPlate() {
		return assayPlate;
	}
	public void setAssayPlate(AssayPlate assayPlate) {
		this.assayPlate = assayPlate;
	}
	public String getBarcode() {
		return barcode;
	}
	public void setBarcode(String barcode) {
		this.barcode = barcode;
	}
	public String getSelectedAllele() {
		return selectedAllele;
	}
	public void setSelectedAllele(String selectedAllele) {
		this.selectedAllele = selectedAllele;
	}
	public Long getSelectedAlleleId() {
		return selectedAlleleId;
	}
	public void setSelectedAlleleId(Long selectedAlleleId) {
		this.selectedAlleleId = selectedAlleleId;
	}
	public Collection<MouseSubform> getSelectedMice() {
		return selectedMice;
	}
	public void setSelectedMice(Collection<MouseSubform> selectedWells) {
		this.selectedMice = selectedWells;
	}
	public Map<Long, Assay> getAssays() {
		return assays;
	}
	public void setAssays(Map<Long, Assay> assays) {
		this.assays = assays;
	}
}
