package uk.ac.sanger.mig.genotyping.forms;

import java.util.Map;

import uk.ac.sanger.mig.genotyping.AssayResult;
import uk.ac.sanger.mig.mousetracking.Mouse;
import uk.ac.sanger.mig.mousetracking.MouseAllele;

public class MouseSubform {
	private Mouse mouse;
	private MouseAllele selectedMouseAllele;
	private Map<Long, AssayResult> assayResults;
	private Long newGenotypeDictId;
	private boolean finalAssignment;
	private String comments;

	public Map<Long, AssayResult> getAssayResults() {
		return assayResults;
	}
	public void setAssayResults(Map<Long, AssayResult> assayResults) {
		this.assayResults = assayResults;
	}
	public Mouse getMouse() {
		return mouse;
	}
	public void setMouse(Mouse mouse) {
		this.mouse = mouse;
	}
	public MouseAllele getSelectedMouseAllele() {
		return selectedMouseAllele;
	}
	public void setSelectedMouseAllele(MouseAllele selectedMouseAllele) {
		this.selectedMouseAllele = selectedMouseAllele;
	}
	public Long getNewGenotypeDictId() {
		return newGenotypeDictId;
	}
	public void setNewGenotypeDictId(Long newGenotypeDictId) {
		this.newGenotypeDictId = newGenotypeDictId;
	}
	public boolean isFinalAssignment() {
		return finalAssignment;
	}
	public void setFinalAssignment(boolean finalAssignment) {
		this.finalAssignment = finalAssignment;
	}
	public String getComments() {
		return comments;
	}
	public void setComments(String comments) {
		this.comments = comments;
	}

}
