package uk.ac.sanger.mig.genotyping.validators;

import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

import uk.ac.sanger.mig.genotyping.forms.EditAssayPlatesForm;

public class EditAssayPlatesFormValidator implements Validator {

	public boolean supports(Class clazz) {
		return EditAssayPlatesForm.class.equals(clazz);
	}

	public void validate(Object target, Errors errors) {
		EditAssayPlatesForm form = (EditAssayPlatesForm)target;
		form.setValidated(false);

		if(form.getPlateCategoryId() == null) {
			errors.reject(null, "Plate category is a required field.");
		}

		if(!errors.hasErrors()) {
			form.setValidated(true);
		}
	}
}

