package uk.ac.sanger.mig.histology.applets.scancropper.gui;

import java.awt.Rectangle;

import uk.ac.sanger.mig.histology.applets.scancropper.model.CropSet;



/**
 * @author ae1
 *
 */
public interface CropSetListener {

	/**
	 * Sends updated CropSet 
	 * @param componentMap Existin CropSet
	 * @param newCropRectangle new manual drawn Rectagle
	 * @param delay Millisec delay
	 */
	public void updateCropSet(CropSet componentMap, Rectangle newCropRectangle, long delay);
	
}
