package uk.ac.sanger.mig.histology.applets.scancropper.services.operations;

import uk.ac.sanger.mig.histology.applets.scancropper.model.ImageModel;

public class MultipassOperation implements ImageOperation {
  private ImageOperation operator;
  private int repeatCount;
  
  public void process(ImageModel imageModel) {
	  
	  for (int i = 0; i < repeatCount; i++) {
		  operator.process(imageModel);
    }

  }

  public ImageOperation getOperator() {
    return operator;
  }

  public void setOperator(ImageOperation operator) {
    this.operator = operator;
  }

  public int getRepeatCount() {
    return repeatCount;
  }

  public void setRepeatCount(int repeatCount) {
    this.repeatCount = repeatCount;
  }

}
