package uk.ac.sanger.mig.histology.dao;

import java.util.Collection;

import uk.ac.sanger.mig.database.TypedDao;
import uk.ac.sanger.mig.histology.Event;
																
	/**
	 * Takes search bean and returns a Collection of Event OBJECTS
	 * based on set fields in bean *and* (THIS IS IMPORTANT) your implementation
	 * of search method in Dao layer -- eg, are you testing for equality? 
	 * Greater than/less than, etc?
	 * @param eventSearchBean
	 * @return
	 */
	 
	public interface EventDao extends TypedDao<Event> {
	//public Collection<Event> search(EventSearchBean eventSearchBean);
	
	public Collection<Event> fetchByNecropsyId(Long necropsyId);
	
}