package uk.ac.sanger.mig.histology.dao;

import uk.ac.sanger.mig.database.TypedDao;
import uk.ac.sanger.mig.histology.Fixation;
																
	/**
	 * Takes search bean and returns a Collection of Fixation OBJECTS
	 * based on set fields in bean *and* (THIS IS IMPORTANT) your implementation
	 * of search method in Dao layer -- eg, are you testing for equality? 
	 * Greater than/less than, etc?
	 * @param fixationSearchBean
	 * @return
	 */
	 
	public interface FixationDao extends TypedDao<Fixation> {
	//public Collection<Fixation> search(FixationSearchBean fixationSearchBean);
	
	public Fixation fetchByNecropsyId(Long necropsyId);
	
	
}