package uk.ac.sanger.mig.histology.dao;

import uk.ac.sanger.mig.database.TypedDao;
import uk.ac.sanger.mig.histology.Necropsy;
																
	/**
	 * Takes search bean and returns a Collection of Necropsy OBJECTS
	 * based on set fields in bean *and* (THIS IS IMPORTANT) your implementation
	 * of search method in Dao layer -- eg, are you testing for equality? 
	 * Greater than/less than, etc?
	 * @param necropsySearchBean
	 * @return
	 */
	 
	public interface NecropsyDao extends TypedDao<Necropsy> {
//	public Collection<Necropsy> search(NecropsySearchBean necropsySearchBean);
	public Necropsy fetchByMouseId(Long mouseId);
	
}