package uk.ac.sanger.mig.histology.validators;

import java.util.HashSet;
import java.util.Set;

import org.springframework.validation.Errors;

import uk.ac.sanger.mig.common.AbstractBindingValidator;
import uk.ac.sanger.mig.common.AllowedFormField;
import uk.ac.sanger.mig.histology.forms.CassetteForm;


public class GenerateBlockCassetteFormValidator extends AbstractBindingValidator {

		
			@Override
	public Set<AllowedFormField> defineAllowedFields() {
		
		Set<AllowedFormField> formFields = new HashSet<AllowedFormField>();
				
		/*
		
		Set allowed form fields here. Make boolean argument in constructor == true
		if field is required and false otherwise.
	
		e.g.,
		formFields.add(new AllowedFormField("someRequiqredFieldName", "Some Required Field Name", true) );	
		formFields.add(new AllowedFormField("someOptionalFieldName", "Some Optional Field Name", false) );
		
*/

		return formFields;
	} 
		
			@Override
	protected void validate(Object object, Errors errors, boolean hasBindingErrors) {
		
/*
		
		You can validate post-binding logic here. You might want to check if hasBindingErrors == false
		before proceeding to validate if your strategy is to separate binding validation
		from more complex validation--e.g., comparing values of required fields.  
		
		The idea beingthat is it sensible to compare fields only when you know their values and 
		data types have been validated. Otherwise, you end up having to (redundantly) check for nulls, 
		which can become very messy, especially when validation involves multiple fields that depend on 
		one another for proper validation.

*/

	}
		
public boolean supports(Class clazz) {
		return CassetteForm.class.equals(clazz);
	}

}