package uk.ac.sanger.mig.mousetracking.forms;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.lang.WordUtils;

import uk.ac.sanger.mig.common.forms.ValidatableForm;
import uk.ac.sanger.mig.mousetracking.StudBreeding;

public class StudBreedingForm extends ValidatableForm {

	public enum FemaleOption {
		DO_NOTHING,
		RETURN_TO_POOL,
		CULL_FEMALE,
		MOVE_FEMALE;

		public String getDescription() {
			return WordUtils.capitalizeFully(StringUtils.replace(name(), "_", " "));
		}
	}

	public enum MaleOption {
		DO_NOTHING,
		CULL_MALE;

		public String getDescription() {
			return WordUtils.capitalizeFully(StringUtils.replace(name(), "_", " "));
		}
	}

	private StudBreeding breeding;
	private MaleOption maleOption;
	private FemaleOption femaleOption;
	private BarcodeForm femaleLocation;

	public StudBreeding getBreeding() {
		return breeding;
	}
	public void setBreeding(StudBreeding studBreeding) {
		this.breeding = studBreeding;
	}
	public FemaleOption getFemaleOption() {
		return femaleOption;
	}
	public void setFemaleOption(FemaleOption femaleOption) {
		this.femaleOption = femaleOption;
	}
	public BarcodeForm getFemaleLocation() {
		return femaleLocation;
	}
	public void setFemaleLocation(BarcodeForm femaleLocation) {
		this.femaleLocation = femaleLocation;
	}
	public MaleOption getMaleOption() {
		return maleOption;
	}
	public void setMaleOption(MaleOption maleOption) {
		this.maleOption = maleOption;
	}

}
