package uk.ac.sanger.mig.mousetracking.services;

import uk.ac.sanger.mig.common.AbstractServiceImpl2;
import uk.ac.sanger.mig.common.ComponentMap;
import uk.ac.sanger.mig.mousetracking.CohortMouse;
import uk.ac.sanger.mig.mousetracking.dao.CohortMouseDao;
import uk.ac.sanger.mig.personnel.Person;

public class CohortMouseServiceImpl extends AbstractServiceImpl2<CohortMouse, CohortMouseDao> implements CohortMouseService {

	public int delete(CohortMouse cohortMouse, Person user) {
		return getPrimaryDao().delete(cohortMouse, user);
	}

	public CohortMouse fetchByMouseAndCohortId(Long mouseId, Long cohortId, ComponentMap requiredComponents) {
		CohortMouse cohortMouse = getPrimaryDao().fetchByMouseAndCohortId(mouseId, cohortId);

		if(cohortMouse != null) {
			attachComponents(cohortMouse, requiredComponents);
		}

		return cohortMouse;
	}

	@Override
	protected void attachComponents(CohortMouse object, ComponentMap requiredComponents) {
		//not implemented
	}

}
