/*
 * Copyright (c) 2007 Genome Research Ltd.
 *
 * Author: Mouse Informatics Group <team110g@sanger.ac.uk>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE)ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package uk.ac.sanger.mig.testing;

import java.util.Collection;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import uk.ac.sanger.mig.cryoprocessing.FreezeDownSampleSearchBean;
import uk.ac.sanger.mig.cryoprocessing.services.FreezeDownSampleServiceImpl;
import uk.ac.sanger.mig.cryoprocessing.views.StrawListView;

public class FreezeDownSampleServiceImplTest extends SpringLauncher {
	
	private  FreezeDownSampleServiceImpl serviceImpl;
	public static final Log logger = LogFactory.getLog(FreezeDownSampleServiceImplTest.class);
	
	public void setFreezeDownSampleServiceImpl(FreezeDownSampleServiceImpl serviceImpl) {
		this.serviceImpl = serviceImpl;
	}

	@Override
	protected String[] getConfigLocations() {
		// TODO Auto-generated method stub
		return new String[] {
				"file:WebRoot/WEB-INF/conf/application-context.xml"
		};
	
	}
	
	/*
	 * Test method for 'uk.ac.sanger.mig.mirequest.dao.MirCellLineDaoSpringImpl.store(DataObject)'
	 */
	
	/*
	public void testFetchById() {
		FreezeDownSample test = new FreezeDownSample();
		ComponentMap componentMap = new ComponentMap();
		componentMap.put(FreezeDownSample.Component.VIAL_LOCATION, null);
		test = serviceImpl.fetchById(8L,componentMap);
		assertTrue(test != null);
		logger.warn("FetchById-VialLocation:"+test.getVialLocation());
	}
	*/
public void testSearchStraw() {
	

	FreezeDownSampleSearchBean freezeDownSampleSearchBean = new FreezeDownSampleSearchBean();
	//freezeDownSampleSearchBean.setStrawId(49L);
	Collection<StrawListView> straws = serviceImpl.searchStraws(freezeDownSampleSearchBean);
    assertTrue(straws != null);
    logger.warn("testingqqq"+ straws);
}
	/*
	public void testFetchVialLocation() {
		FreezeDownSample test = new FreezeDownSample();
		test.setId(1L);
		ComponentMap componentMap = new ComponentMap();
		componentMap.put(FreezeDownSample.Component.ALL_COMPONENTS, null);
		VialLocation location = serviceImpl.fetchVialLocation(test, componentMap);
		assertTrue(location != null);
		logger.warn("FetchVialLocation:"+location.getVialId());
	}
	
	
	
	public void testFetchByLocationId() {
		
		FreezeDownSample test = new FreezeDownSample();
		ComponentMap componentMap = new ComponentMap();
		componentMap.put(FreezeDownSample.Component.ALL_COMPONENTS, null);
		test = serviceImpl.fetchByLocationId(124L,componentMap);
		assertTrue(test != null);
		logger.warn("FetchById:"+test);
	}
	
	public void testFetchSampleColonyNameById(){
		String colonyName = serviceImpl.fetchSampleColonyNameById(87L);
		assertTrue(colonyName != null);
		logger.warn("colony name:"+colonyName);
	}
	
*/
}
