package uk.ac.sanger.mig.database;

import java.util.Collection;

import uk.ac.sanger.mig.testsupport.AbstractGenericServiceTest;
import uk.ac.sanger.mig.common.DictionaryEntry;

public class DictionaryServiceTest extends AbstractGenericServiceTest{
  public void setDictionaryService(DictionaryService service) {
    this.service = service;
    this.dictionaryService = service;
  }

  private DictionaryService dictionaryService;

  // verify that each dictionary in the enum class can be fetched
  public void testFetchEachDictonary() {
    for (DictionaryEnum dictEnum : DictionaryEnum.values()) {
      if (logger.isDebugEnabled())
        logger.debug("Attempting to fetch "+dictEnum.getTableName());

      Collection<DictionaryEntry> dictEntries = dictionaryService.fetch(dictEnum);
      assertNotNull(dictEntries);
    }
  }
}
