package uk.ac.sanger.mig.histology.services;

import uk.ac.sanger.mig.histology.Necropsy;
import uk.ac.sanger.mig.histology.services.NecropsyService;
import uk.ac.sanger.mig.testsupport.AbstractGenericServiceTest;

public class NecropsyServiceTest extends AbstractGenericServiceTest {
	public void setNecropsyService(NecropsyService service) {
		this.service = service;
	}
	
	public NecropsyService getNecropsyService(){
		return (NecropsyService)service;
	}
	
	public void testInflateNecropsyComponents(){
		Necropsy necropsy = new Necropsy();
		necropsy = getNecropsyService().inflateNecropsyComponents(necropsy);
		assertTrue("Necropsy should have mouse inflated.", necropsy.getMouse() != null);
		assertTrue("Necropsy should have creator inflated.", necropsy.getCreator() != null);
		assertTrue("Necropsy should have technician inflated.", necropsy.getTechnician() != null);
		assertTrue("Necropsy should have team inflated.", necropsy.getTeam() != null);
	}
}